


foreach Y in table3a table3b table4 table5 tableA2 tableA3 tableA4 tableA5 {	    

			* Pull in output
			import delim "$output/`Y'.csv", clear

			* Fix embedded chars & drop empty row 
			foreach v of varlist _all {
				replace `v' = subinstr(`v',`"=""',"",.)
				replace `v' = subinstr(`v',`"""',"",.)
			}
			
			
			drop if _n == 4
		

	if "`Y'" == "tableA3" {
	   
			
			set obs 10
			gen order = _n
			replace order = 2.5 if order == 10
			sort order 
			drop order
			}
			
		
			
			* Export 
			export excel using "$output/tables_seasonality_paper.xlsx", sheet("`Y'") sheetreplace cell(A1)
		
			}
		
				

			di "Mark A"
			pause
				
				
	    
foreach Y in table3a table3b table4 table5 tableA2 tableA3 tableA4 tableA5 {	 		
	
			if "`Y'" == "table3a" {
			   local length = 10
			   local col = "H"
			}
			if "`Y'" == "tableA2" {
			   local length = 10
			   local col = "H"
			}			
			if "`Y'" == "table3b" {
			    local length = 15
				local col = "H"
			}
			if "`Y'" == "table4" {
			    local length = 17
				local col = "G"
			}
			if "`Y'" == "table5" {
			    local length = 30
				local col = "G"
			}
			if "`Y'" == "tableA4" {
			    local length = 17
				local col = "G"
			}
			if "`Y'" == "tableA5" {
			    local length = 30
				local col = "G"
			}
			if "`Y'" == "tableA3" {
			    local length = 11
				local col = "I"
			}

			
			putexcel set "$output\tables_seasonality_paper.xlsx", sheet("`Y'") modify 
			
			putexcel B2:`col'`length', hcenter overwritefmt 
			putexcel A1:`col'1, merge hcenter bold border(bottom)
			*putexcel A1:`col'1, border(bottom)		
			putexcel B2:`col'2, txtwrap hcenter vcenter
			putexcel A3:`col'3, border(bottom) txtwrap hcenter vcenter
			putexcel B`length':`col'`length', nformat(number) overwritefmt
			putexcel A`length':`col'`length', merge
			putexcel A`length':`col'`length', border(top, double) 
			
			if "`Y'" == "table4" {
			
				putexcel B3:D3, merge
				putexcel E3:G3, merge
				putexcel B8 = "Respondent"
				putexcel B9 = "Respondent"
				putexcel C8 = "Proxy"
				putexcel C9 = "Respondent"
				putexcel D8 = "Proxy"
				putexcel D9 = "Proxy"
				putexcel E8 = "Respondent"
				putexcel E9 = "Respondent"
				putexcel F8 = "Proxy"
				putexcel F9 = "Respondent"
				putexcel G8 = "Proxy"
				putexcel G9 = "Proxy"
				putexcel B8:G9, txtwrap hcenter vcenter
			}
			if "`Y'" == "table5" {
			
				putexcel B3:D3, merge
				putexcel E3:G3, merge 
				putexcel B12 = "Respondent"
				putexcel B13 = "Respondent"
				putexcel C12 = "Proxy"
				putexcel C13 = "Respondent"
				putexcel D12 = "Proxy"
				putexcel D13 = "Proxy"
				putexcel E12 = "Respondent"
				putexcel E13 = "Respondent"
				putexcel F12 = "Proxy"
				putexcel F13 = "Respondent"
				putexcel G12 = "Proxy"
				putexcel G13 = "Proxy"
				putexcel B12:G13, txtwrap hcenter vcenter
			}
			if "`Y'" == "tableA4" {
			
				putexcel B3:D3, merge
				putexcel E3:G3, merge 
				putexcel B8 = "Respondent"
				putexcel B9 = "Respondent"
				putexcel C8 = "Proxy"
				putexcel C9 = "Respondent"
				putexcel D8 = "Proxy"
				putexcel D9 = "Proxy"
				putexcel E8 = "Respondent"
				putexcel E9 = "Respondent"
				putexcel F8 = "Proxy"
				putexcel F9 = "Respondent"
				putexcel G8 = "Proxy"
				putexcel G9 = "Proxy"
				putexcel B8:G9, txtwrap hcenter vcenter
			}
			if "`Y'" == "tableA5" {
			
				putexcel B3:D3, merge
				putexcel E3:G3, merge
				putexcel B12 = "Respondent"
				putexcel B13 = "Respondent"
				putexcel C12 = "Proxy"
				putexcel C13 = "Respondent"
				putexcel D12 = "Proxy"
				putexcel D13 = "Proxy"
				putexcel E12 = "Respondent"
				putexcel E13 = "Respondent"
				putexcel F12 = "Proxy"
				putexcel F13 = "Respondent"
				putexcel G12 = "Proxy"
				putexcel G13 = "Proxy"
				putexcel B12:G13, txtwrap hcenter vcenter
				putexcel B12:G12, txtwrap hcenter vcenter
			}
			if "`Y'" == "tableA3" {
			   
				putexcel B3:E3, merge italic
				putexcel F3:I3, merge italic
				putexcel B3 = "Three month recall"
				putexcel F3 = "Twelve month recall"
				putexcel B4:I4, txtwrap hcenter vcenter
			}
	
			* Widen the column with the variable labels 
			mata: b = xl()
			mata: b.load_book("$output\tables_seasonality_paper.xlsx")
			mata: b.set_sheet("`Y'")
			mata: b.set_column_width(1,1,30)
			mata: b.set_column_width(2,30,17)
			
		}



local col = "E"


*quarterly
	forvalues i = 1/4 {

			* Pull in output
			import delim "$output/table_quarterly`i'.csv", clear

			* Fix embedded chars & drop empty row 
			foreach v of varlist _all {
				replace `v' = subinstr(`v',`"=""',"",.)
				replace `v' = subinstr(`v',`"""',"",.)
			}
	drop if _n == 4
			
			* Export 
			export excel using "$output/tables_seasonality_paper.xlsx", sheet("table_quarterly`i'") sheetreplace cell(A1)
			}
			
			di "Mark Z"
			pause
			
local length =  10
	forvalues i = 1/4 {
	    		

			putexcel set "$output\tables_seasonality_paper.xlsx", sheet("table_quarterly`i'") modify 
			putexcel B2:`col'`length', hcenter overwritefmt 
			putexcel A1:`col'1, merge hcenter bold border(bottom)
			*putexcel A1:`col'1, border(bottom)		
			putexcel B2:`col'2, txtwrap hcenter vcenter
			putexcel A3:`col'3, border(bottom)
			putexcel B`length':`col'`length', nformat(number) overwritefmt
			putexcel A`length':`col'`length', merge
			putexcel A`length':`col'`length', border(top, double) 
	
			* Widen the column with the variable labels 
			mata: b = xl()
			mata: b.load_book("$output\tables_seasonality_paper.xlsx")
			mata: b.set_sheet("table_quarterly`i'")
			mata: b.set_column_width(1,1,30)
			mata: b.set_column_width(2,30,17)
		
}


*quarterly - Self Reports
	forvalues i = 1/4 {

			* Pull in output
			import delim "$output/table_quarterly`i'b.csv", clear

			* Fix embedded chars & drop empty row 
			foreach v of varlist _all {
				replace `v' = subinstr(`v',`"=""',"",.)
				replace `v' = subinstr(`v',`"""',"",.)
			}
	drop if _n == 4
			
			* Export 
			export excel using "$output/tables_seasonality_paper.xlsx", sheet("table_quarterly`i'b") sheetreplace cell(A1)
			}
			
			di "Mark Z"
			pause
			
local length =  10
	forvalues i = 1/4 {
	    		

			putexcel set "$output\tables_seasonality_paper.xlsx", sheet("table_quarterly`i'b") modify 
			putexcel B2:`col'`length', hcenter overwritefmt 
			putexcel A1:`col'1, merge hcenter bold border(bottom)
			*putexcel A1:`col'1, border(bottom)		
			putexcel B2:`col'2, txtwrap hcenter vcenter
			putexcel A3:`col'3, border(bottom)
			putexcel B`length':`col'`length', nformat(number) overwritefmt
			putexcel A`length':`col'`length', merge
			putexcel A`length':`col'`length', border(top, double) 
	
			* Widen the column with the variable labels 
			mata: b = xl()
			mata: b.load_book("$output\tables_seasonality_paper.xlsx")
			mata: b.set_sheet("table_quarterly`i'b")
			mata: b.set_column_width(1,1,30)
			mata: b.set_column_width(2,30,17)
		
}


*quarterly - Proxy Reports
	forvalues i = 1/4 {

			* Pull in output
			import delim "$output/table_quarterly`i'c.csv", clear

			* Fix embedded chars & drop empty row 
			foreach v of varlist _all {
				replace `v' = subinstr(`v',`"=""',"",.)
				replace `v' = subinstr(`v',`"""',"",.)
			}
	drop if _n == 4
			
			* Export 
			export excel using "$output/tables_seasonality_paper.xlsx", sheet("table_quarterly`i'c") sheetreplace cell(A1)
			}
			
			di "Mark Z"
			pause
			
local length =  10
	forvalues i = 1/4 {
	    		

			putexcel set "$output\tables_seasonality_paper.xlsx", sheet("table_quarterly`i'c") modify 
			putexcel B2:`col'`length', hcenter overwritefmt 
			putexcel A1:`col'1, merge hcenter bold border(bottom)
			*putexcel A1:`col'1, border(bottom)		
			putexcel B2:`col'2, txtwrap hcenter vcenter
			putexcel A3:`col'3, border(bottom)
			putexcel B`length':`col'`length', nformat(number) overwritefmt
			putexcel A`length':`col'`length', merge
			putexcel A`length':`col'`length', border(top, double) 
	
			* Widen the column with the variable labels 
			mata: b = xl()
			mata: b.load_book("$output\tables_seasonality_paper.xlsx")
			mata: b.set_sheet("table_quarterly`i'c")
			mata: b.set_column_width(1,1,30)
			mata: b.set_column_width(2,30,17)
		
}

