use "$data/merged_long_data.dta", clear


*Generate necessary variables for all rounds*
glo var3m cat days des_b employ employweeks expeninputs expeninputs_ver1 foodag hours7d hours7d_ver1 hours7d_ver2 hours hours_ver1 hours_ver2 hourschange loc_dk loc_farm loc_home loc_oth loc_othspec loc_ref loc_rural loc_town loc_urban loc_vill month_dk month_ref numhhmem pay payper payunit profit profit_ver1 profit_ver2 reasonchange rev rev_ver1 taskf_dk taskf_harv taskf_inputs taskf_lscare taskf_lssales taskf_oth taskf_posth taskf_preh taskf_ref taskf_sales taskf_training taskf_workers tasknf_dk tasknf_govt tasknf_manfac tasknf_manhome tasknf_off tasknf_oth tasknf_phys tasknf_proc tasknf_ref tasknf_sales tasknf_serv tasknf_teach tasknf_transp tasknf_workers


replace sec3m_loc_othspec__r2="" //empty variable but has some "." entries, other loc_othspec variables not string
destring sec3m_loc_othspec__r2, replace 

glo var3mstring des reasonchange_oth taskf_othspec tasknf_othspec

glo var7dstring des

glo var7d cat des_b foodag hours loc_dk loc_farm loc_home loc_oth loc_othspec loc_ref loc_rural loc_town loc_urban loc_vill taskf_dk taskf_harv taskf_inputs taskf_lscare taskf_lssales taskf_oth taskf_othspec taskf_posth taskf_preh taskf_ref taskf_sales taskf_training taskf_workers tasknf_dk tasknf_govt tasknf_manfac tasknf_manhome tasknf_off tasknf_oth tasknf_othspec tasknf_phys tasknf_proc tasknf_ref tasknf_sales tasknf_serv tasknf_teach tasknf_transp tasknf_workers

glo monthsr1 month_apr20 month_may20 month_jun20 month_jul20
glo monthsr2 month_aug20 month_sept20 month_oct20 month_nov20
glo monthsr3 month_nov20 month_dec20 month_jan21 month_feb21
glo monthsr4 month_feb21 month_mar21 month_apr21 month_may21 month_jun21

forvalues X=1/4 {
foreach var in $var3m {
	gen jobA_`var'_r`X'=.	
	gen jobB_`var'_r`X'=.	
	gen jobC_`var'_r`X'=.	
	gen jobD_`var'_r`X'=.	
}
}

forvalues X=1/4{
	foreach var in $var3mstring{
		gen jobA_`var'_r`X'=""
		gen jobB_`var'_r`X'=""
		gen jobC_`var'_r`X'=""
		gen jobD_`var'_r`X'=""
	}
}


foreach var in $monthsr1{
	gen jobA_`var'_r1=.
	gen jobB_`var'_r1=.
	gen jobC_`var'_r1=.
	gen jobD_`var'_r1=.
}

foreach var in $monthsr2{
	gen jobA_`var'_r2=.
	gen jobB_`var'_r2=.
	gen jobC_`var'_r2=.
	gen jobD_`var'_r2=.
}
foreach var in $monthsr3{
	gen jobA_`var'_r3=.
	gen jobB_`var'_r3=.
	gen jobC_`var'_r3=.
	gen jobD_`var'_r3=.
}

foreach var in $monthsr4{
	gen jobA_`var'_r4=.
	gen jobB_`var'_r4=.
	gen jobC_`var'_r4=.
	gen jobD_`var'_r4=.
}

********************************************************************************
*Job A*
********************************************************************************
*Define and label job category indicator variables*
label define jobcategory 1"prim" 2"sec" 3"N/A"
gen jobA_3m_r1=3
gen jobA_7d_r1=3
gen jobA_3m_r2=3
gen jobA_7d_r2=3
gen jobA_3m_r3=3
gen jobA_7d_r3=3
gen jobA_3m_r4=3
gen jobA_7d_r4=3
gen jobB_3m_r1=3
gen jobB_7d_r1=3
gen jobB_3m_r2=3
gen jobB_7d_r2=3
gen jobB_3m_r3=3
gen jobB_7d_r3=3
gen jobB_3m_r4=3
gen jobB_7d_r4=3
gen jobC_7d_r1=3
gen jobC_3m_r2=3
gen jobC_7d_r2=3
gen jobC_3m_r3=3
gen jobC_7d_r3=3
gen jobC_3m_r4=3
gen jobC_7d_r4=3
gen jobD_3m_r2=3
gen jobD_7d_r2=3
gen jobD_3m_r3=3
gen jobD_7d_r3=3
gen jobD_3m_r4=3
gen jobD_7d_r4=3
label values jobA_3m_r1 jobcategory
label values jobA_7d_r1 jobcategory
label values jobA_3m_r2 jobcategory
label values jobA_7d_r2 jobcategory
label values jobA_3m_r3 jobcategory
label values jobA_7d_r3 jobcategory
label values jobA_3m_r4 jobcategory
label values jobA_7d_r4 jobcategory
label values jobB_3m_r1 jobcategory
label values jobB_7d_r1 jobcategory
label values jobB_3m_r2 jobcategory
label values jobB_7d_r2 jobcategory
label values jobB_3m_r3 jobcategory
label values jobB_7d_r3 jobcategory
label values jobB_3m_r4 jobcategory
label values jobB_7d_r4 jobcategory
label values jobC_7d_r1 jobcategory
label values jobC_3m_r2 jobcategory
label values jobC_7d_r2 jobcategory
label values jobC_3m_r3 jobcategory
label values jobC_7d_r3 jobcategory
label values jobC_3m_r4 jobcategory
label values jobC_7d_r4 jobcategory
label values jobD_3m_r4 jobcategory
label values jobD_7d_r4 jobcategory

replace jobA_3m_r1=1 if jobid_a==1 
replace jobA_7d_r1=1 if prim7d__r1==1
replace jobA_7d_r1=2 if sec7d__r1==1
replace jobA_3m_r2=1 if prim3m_des_b__r2==1
replace jobA_3m_r2=2 if sec3m_des_b__r2==1
replace jobA_7d_r2=1 if prim7d_des_b__r2==1
replace jobA_7d_r2=2 if sec7d_des_b__r2==1
replace jobA_3m_r3=1 if prim3m_des_b__r3==1
replace jobA_3m_r3=2 if sec3m_des_b__r3==1
replace jobA_7d_r3=1 if prim7d_des_b__r3==1
replace jobA_7d_r3=2 if sec7d_des_b__r3==1
replace jobA_3m_r4=1 if prim3m_des_b__r4==1
replace jobA_3m_r4=2 if sec3m_des_b__r4==1
replace jobA_7d_r4=1 if prim7d_des_b__r4==1
replace jobA_7d_r4=2 if sec7d_des_b__r4==1

replace jobB_3m_r1=2 if jobid_b==2
replace jobB_7d_r1=1 if jobid_b==3
replace jobB_7d_r1=2 if jobid_b==4
replace jobB_3m_r2=1 if prim3m_des_b__r2==2
replace jobB_3m_r2=2 if sec3m_des_b__r2==2
replace jobB_7d_r2=1 if prim7d_des_b__r2==2
replace jobB_7d_r2=2 if sec7d_des_b__r2==2
replace jobB_3m_r3=1 if prim3m_des_b__r3==2
replace jobB_3m_r3=2 if sec3m_des_b__r3==2
replace jobB_7d_r3=1 if prim7d_des_b__r3==2
replace jobB_7d_r3=2 if sec7d_des_b__r3==2
replace jobB_3m_r4=1 if prim3m_des_b__r4==2
replace jobB_3m_r4=2 if sec3m_des_b__r4==2
replace jobB_7d_r4=1 if prim7d_des_b__r4==2
replace jobB_7d_r4=2 if sec7d_des_b__r4==2


replace jobC_7d_r1=1 if jobid_c==3
replace jobC_7d_r1=2 if jobid_c==4
replace jobC_3m_r2=1 if prim3m_des_b__r2==3
replace jobC_3m_r2=2 if sec3m_des_b__r2==3
replace jobC_7d_r2=1 if prim7d_des_b__r2==3
replace jobC_7d_r2=2 if sec7d_des_b__r2==3
replace jobC_3m_r3=1 if prim3m_des_b__r3==3
replace jobC_3m_r3=2 if sec3m_des_b__r3==3
replace jobC_7d_r3=1 if prim7d_des_b__r3==3
replace jobC_7d_r3=2 if sec7d_des_b__r3==3
replace jobC_3m_r4=1 if prim3m_des_b__r4==3
replace jobC_3m_r4=2 if sec3m_des_b__r4==3
replace jobC_7d_r4=1 if prim7d_des_b__r4==3
replace jobC_7d_r4=2 if sec7d_des_b__r4==3
replace jobD_3m_r2=1 if prim3m_des_b__r2==4 & jobid_c!=. & jobid_c<5
replace jobD_3m_r2=2 if sec3m_des_b__r2==4 & jobid_c!=. & jobid_c<6
replace jobD_7d_r2=1 if prim7d_des_b__r2==4 & jobid_c!=. & jobid_c<7
replace jobD_7d_r2=2 if sec7d_des_b__r2==4 & jobid_c!=. & jobid_c<8
replace jobD_3m_r4=1 if prim3m_des_b__r3==4 & jobid_c!=. & jobid_c<9
replace jobD_3m_r4=2 if sec3m_des_b__r3==4 & jobid_c!=. & jobid_c<10
replace jobD_7d_r4=1 if prim7d_des_b__r3==4 & jobid_c!=. & jobid_c<11
replace jobD_7d_r4=2 if sec7d_des_b__r3==4 & jobid_c!=. & jobid_c<12
replace jobD_3m_r4=1 if prim3m_des_b__r4==4 & jobid_c!=.
replace jobD_3m_r4=2 if sec3m_des_b__r4==4 & jobid_c!=.
replace jobD_7d_r4=1 if prim7d_des_b__r4==4 & jobid_c!=.
replace jobD_7d_r4=2 if sec7d_des_b__r4==4 & jobid_c!=.


replace jobA_cat_r1=prim3m_cat__r1 if jobid_a==1 //had primary activity 3m in round 1 
replace jobA_days_r1=prim3m_days__r1 if jobid_a==1
replace jobA_des_r1=prim3m_des__r1 if jobid_a==1
replace jobA_des_b_r1=prim3m_des_b__r1 if jobid_a==1
replace jobA_employ_r1=prim3m_employ__r1 if jobid_a==1
replace jobA_employweeks_r1=prim3m_employweeks__r1 if jobid_a==1
replace jobA_expeninputs_r1=prim3m_expeninputs__r1 if jobid_a==1
replace jobA_expeninputs_ver1_r1=prim3m_expeninputs_ver1__r1 if jobid_a==1
replace jobA_foodag_r1=prim3m_foodag__r1 if jobid_a==1
replace jobA_hours7d_r1=prim3m_hours7d__r1 if jobid_a==1
replace jobA_hours7d_ver1_r1=prim3m_hours7d_ver1__r1 if jobid_a==1
replace jobA_hours7d_ver2_r1=prim3m_hours7d_ver2__r1 if jobid_a==1
replace jobA_hours_r1=prim3m_hours__r1 if jobid_a==1
replace jobA_hours_ver1_r1=prim3m_hours_ver1__r1 if jobid_a==1
replace jobA_hours_ver2_r1=prim3m_hours_ver2__r1 if jobid_a==1
replace jobA_hourschange_r1=prim3m_hourschange__r1 if jobid_a==1
replace jobA_loc_dk_r1=prim3m_loc_dk__r1 if jobid_a==1
replace jobA_loc_farm_r1=prim3m_loc_farm__r1 if jobid_a==1
replace jobA_loc_home_r1=prim3m_loc_home__r1 if jobid_a==1
replace jobA_loc_oth_r1=prim3m_loc_oth__r1 if jobid_a==1
replace jobA_loc_othspec_r1=prim3m_loc_othspec__r1 if jobid_a==1
replace jobA_loc_ref_r1=prim3m_loc_ref__r1 if jobid_a==1
replace jobA_loc_rural_r1=prim3m_loc_rural__r1 if jobid_a==1
replace jobA_loc_town_r1=prim3m_loc_town__r1 if jobid_a==1
replace jobA_loc_urban_r1=prim3m_loc_urban__r1 if jobid_a==1
replace jobA_loc_vill_r1=prim3m_loc_vill__r1 if jobid_a==1
replace jobA_month_dk_r1=prim3m_month_dk__r1 if jobid_a==1
replace jobA_month_ref_r1=prim3m_month_ref__r1 if jobid_a==1
replace jobA_numhhmem_r1=prim3m_numhhmem__r1 if jobid_a==1
replace jobA_pay_r1=prim3m_pay__r1 if jobid_a==1
replace jobA_payper_r1=prim3m_payper__r1 if jobid_a==1
replace jobA_payunit_r1=prim3m_payunit__r1 if jobid_a==1
replace jobA_profit_r1=prim3m_profit__r1 if jobid_a==1
replace jobA_profit_ver1_r1=prim3m_profit_ver1__r1 if jobid_a==1
replace jobA_profit_ver2_r1=prim3m_profit_ver2__r1 if jobid_a==1
replace jobA_reasonchange_r1=prim3m_reasonchange__r1 if jobid_a==1
replace jobA_reasonchange_oth_r1=prim3m_reasonchange_oth__r1 if jobid_a==1
replace jobA_rev_r1=prim3m_rev__r1 if jobid_a==1
replace jobA_rev_ver1_r1=prim3m_rev_ver1__r1 if jobid_a==1
replace jobA_taskf_dk_r1=prim3m_taskf_dk__r1 if jobid_a==1
replace jobA_taskf_harv_r1=prim3m_taskf_harv__r1 if jobid_a==1
replace jobA_taskf_inputs_r1=prim3m_taskf_inputs__r1 if jobid_a==1
replace jobA_taskf_lscare_r1=prim3m_taskf_lscare__r1 if jobid_a==1
replace jobA_taskf_lssales_r1=prim3m_taskf_lssales__r1 if jobid_a==1
replace jobA_taskf_oth_r1=prim3m_taskf_oth__r1 if jobid_a==1
replace jobA_taskf_othspec_r1=prim3m_taskf_othspec__r1 if jobid_a==1
replace jobA_taskf_posth_r1=prim3m_taskf_posth__r1 if jobid_a==1
replace jobA_taskf_preh_r1=prim3m_taskf_preh__r1 if jobid_a==1
replace jobA_taskf_ref_r1=prim3m_taskf_ref__r1 if jobid_a==1
replace jobA_taskf_sales_r1=prim3m_taskf_sales__r1 if jobid_a==1
replace jobA_taskf_training_r1=prim3m_taskf_training__r1 if jobid_a==1
replace jobA_taskf_workers_r1=prim3m_taskf_workers__r1 if jobid_a==1
replace jobA_tasknf_dk_r1=prim3m_tasknf_dk__r1 if jobid_a==1
replace jobA_tasknf_govt_r1=prim3m_tasknf_govt__r1 if jobid_a==1
replace jobA_tasknf_manfac_r1=prim3m_tasknf_manfac__r1 if jobid_a==1
replace jobA_tasknf_manhome_r1=prim3m_tasknf_manhome__r1 if jobid_a==1
replace jobA_tasknf_off_r1=prim3m_tasknf_off__r1 if jobid_a==1
replace jobA_tasknf_oth_r1=prim3m_tasknf_oth__r1 if jobid_a==1
replace jobA_tasknf_othspec_r1=prim3m_tasknf_othspec__r1 if jobid_a==1
replace jobA_tasknf_phys_r1=prim3m_tasknf_phys__r1 if jobid_a==1
replace jobA_tasknf_proc_r1=prim3m_tasknf_proc__r1 if jobid_a==1
replace jobA_tasknf_ref_r1=prim3m_tasknf_ref__r1 if jobid_a==1
replace jobA_tasknf_sales_r1=prim3m_tasknf_sales__r1 if jobid_a==1
replace jobA_tasknf_serv_r1=prim3m_tasknf_serv__r1 if jobid_a==1
replace jobA_tasknf_teach_r1=prim3m_tasknf_teach__r1 if jobid_a==1
replace jobA_tasknf_transp_r1=prim3m_tasknf_transp__r1 if jobid_a==1
replace jobA_tasknf_workers_r1=prim3m_tasknf_workers__r1 if jobid_a==1
replace jobA_month_apr20_r1=prim3m_month_apr20__r1 if jobid_a==1
replace jobA_month_may20_r1=prim3m_month_may20__r1 if jobid_a==1
replace jobA_month_jun20_r1=prim3m_month_jun20__r1 if jobid_a==1
replace jobA_month_jul20_r1=prim3m_month_jul20__r1 if jobid_a==1
replace jobA_cat_r2=prim3m_cat__r2 if prim3m_des_b__r2==1 //selected A for primary activity 3m round 2
replace jobA_days_r2=prim3m_days__r2 if prim3m_des_b__r2==1
replace jobA_des_r2=prim3m_des__r2 if prim3m_des_b__r2==1
replace jobA_des_b_r2=prim3m_des_b__r2 if prim3m_des_b__r2==1
replace jobA_employ_r2=prim3m_employ__r2 if prim3m_des_b__r2==1
replace jobA_employweeks_r2=prim3m_employweeks__r2 if prim3m_des_b__r2==1
replace jobA_expeninputs_r2=prim3m_expeninputs__r2 if prim3m_des_b__r2==1
replace jobA_expeninputs_ver1_r2=prim3m_expeninputs_ver1__r2 if prim3m_des_b__r2==1
replace jobA_foodag_r2=prim3m_foodag__r2 if prim3m_des_b__r2==1
replace jobA_hours7d_r2=prim3m_hours7d__r2 if prim3m_des_b__r2==1
replace jobA_hours7d_ver1_r2=prim3m_hours7d_ver1__r2 if prim3m_des_b__r2==1
replace jobA_hours7d_ver2_r2=prim3m_hours7d_ver2__r2 if prim3m_des_b__r2==1
replace jobA_hours_r2=prim3m_hours__r2 if prim3m_des_b__r2==1
replace jobA_hours_ver1_r2=prim3m_hours_ver1__r2 if prim3m_des_b__r2==1
replace jobA_hours_ver2_r2=prim3m_hours_ver2__r2 if prim3m_des_b__r2==1
replace jobA_hourschange_r2=prim3m_hourschange__r2 if prim3m_des_b__r2==1
replace jobA_loc_dk_r2=prim3m_loc_dk__r2 if prim3m_des_b__r2==1
replace jobA_loc_farm_r2=prim3m_loc_farm__r2 if prim3m_des_b__r2==1
replace jobA_loc_home_r2=prim3m_loc_home__r2 if prim3m_des_b__r2==1
replace jobA_loc_oth_r2=prim3m_loc_oth__r2 if prim3m_des_b__r2==1
replace jobA_loc_othspec_r2=prim3m_loc_othspec__r2 if prim3m_des_b__r2==1
replace jobA_loc_ref_r2=prim3m_loc_ref__r2 if prim3m_des_b__r2==1
replace jobA_loc_rural_r2=prim3m_loc_rural__r2 if prim3m_des_b__r2==1
replace jobA_loc_town_r2=prim3m_loc_town__r2 if prim3m_des_b__r2==1
replace jobA_loc_urban_r2=prim3m_loc_urban__r2 if prim3m_des_b__r2==1
replace jobA_loc_vill_r2=prim3m_loc_vill__r2 if prim3m_des_b__r2==1
replace jobA_month_dk_r2=prim3m_month_dk__r2 if prim3m_des_b__r2==1
replace jobA_month_ref_r2=prim3m_month_ref__r2 if prim3m_des_b__r2==1
replace jobA_numhhmem_r2=prim3m_numhhmem__r2 if prim3m_des_b__r2==1
replace jobA_pay_r2=prim3m_pay__r2 if prim3m_des_b__r2==1
replace jobA_payper_r2=prim3m_payper__r2 if prim3m_des_b__r2==1
replace jobA_payunit_r2=prim3m_payunit__r2 if prim3m_des_b__r2==1
replace jobA_profit_r2=prim3m_profit__r2 if prim3m_des_b__r2==1
replace jobA_profit_ver1_r2=prim3m_profit_ver1__r2 if prim3m_des_b__r2==1
replace jobA_profit_ver2_r2=prim3m_profit_ver2__r2 if prim3m_des_b__r2==1
replace jobA_reasonchange_r2=prim3m_reasonchange__r2 if prim3m_des_b__r2==1
replace jobA_reasonchange_oth_r2=prim3m_reasonchange_oth__r2 if prim3m_des_b__r2==1
replace jobA_rev_r2=prim3m_rev__r2 if prim3m_des_b__r2==1
replace jobA_rev_ver1_r2=prim3m_rev_ver1__r2 if prim3m_des_b__r2==1
replace jobA_taskf_dk_r2=prim3m_taskf_dk__r2 if prim3m_des_b__r2==1
replace jobA_taskf_harv_r2=prim3m_taskf_harv__r2 if prim3m_des_b__r2==1
replace jobA_taskf_inputs_r2=prim3m_taskf_inputs__r2 if prim3m_des_b__r2==1
replace jobA_taskf_lscare_r2=prim3m_taskf_lscare__r2 if prim3m_des_b__r2==1
replace jobA_taskf_lssales_r2=prim3m_taskf_lssales__r2 if prim3m_des_b__r2==1
replace jobA_taskf_oth_r2=prim3m_taskf_oth__r2 if prim3m_des_b__r2==1
replace jobA_taskf_othspec_r2=prim3m_taskf_othspec__r2 if prim3m_des_b__r2==1
replace jobA_taskf_posth_r2=prim3m_taskf_posth__r2 if prim3m_des_b__r2==1
replace jobA_taskf_preh_r2=prim3m_taskf_preh__r2 if prim3m_des_b__r2==1
replace jobA_taskf_ref_r2=prim3m_taskf_ref__r2 if prim3m_des_b__r2==1
replace jobA_taskf_sales_r2=prim3m_taskf_sales__r2 if prim3m_des_b__r2==1
replace jobA_taskf_training_r2=prim3m_taskf_training__r2 if prim3m_des_b__r2==1
replace jobA_taskf_workers_r2=prim3m_taskf_workers__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_dk_r2=prim3m_tasknf_dk__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_govt_r2=prim3m_tasknf_govt__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_manfac_r2=prim3m_tasknf_manfac__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_manhome_r2=prim3m_tasknf_manhome__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_off_r2=prim3m_tasknf_off__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_oth_r2=prim3m_tasknf_oth__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_othspec_r2=prim3m_tasknf_othspec__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_phys_r2=prim3m_tasknf_phys__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_proc_r2=prim3m_tasknf_proc__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_ref_r2=prim3m_tasknf_ref__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_sales_r2=prim3m_tasknf_sales__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_serv_r2=prim3m_tasknf_serv__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_teach_r2=prim3m_tasknf_teach__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_transp_r2=prim3m_tasknf_transp__r2 if prim3m_des_b__r2==1
replace jobA_tasknf_workers_r2=prim3m_tasknf_workers__r2 if prim3m_des_b__r2==1
replace jobA_month_aug20_r2=prim3m_month_aug20__r2 if prim3m_des_b__r2==1
replace jobA_month_sept20_r2=prim3m_month_sept20__r2 if prim3m_des_b__r2==1
replace jobA_month_oct20_r2=prim3m_month_oct20__r2 if prim3m_des_b__r2==1
replace jobA_month_nov20_r2=prim3m_month_nov20__r2 if prim3m_des_b__r2==1

replace jobA_cat_r2=prim7d_cat__r2 if prim7d_des_b__r2==1 //selected A for primary 7d round 2
replace jobA_des_r2=prim7d_des__r2 if prim7d_des_b__r2==1
replace jobA_des_b_r2=prim7d_des_b__r2 if prim7d_des_b__r2==1
replace jobA_foodag_r2=prim7d_foodag__r2 if prim7d_des_b__r2==1
replace jobA_hours_r2=prim7d_hours__r2 if prim7d_des_b__r2==1
replace jobA_loc_dk_r2=prim7d_loc_dk__r2 if prim7d_des_b__r2==1
replace jobA_loc_farm_r2=prim7d_loc_farm__r2 if prim7d_des_b__r2==1
replace jobA_loc_home_r2=prim7d_loc_home__r2 if prim7d_des_b__r2==1
replace jobA_loc_oth_r2=prim7d_loc_oth__r2 if prim7d_des_b__r2==1
replace jobA_loc_othspec_r2=prim7d_loc_othspec__r2 if prim7d_des_b__r2==1
replace jobA_loc_ref_r2=prim7d_loc_ref__r2 if prim7d_des_b__r2==1
replace jobA_loc_rural_r2=prim7d_loc_rural__r2 if prim7d_des_b__r2==1
replace jobA_loc_town_r2=prim7d_loc_town__r2 if prim7d_des_b__r2==1
replace jobA_loc_urban_r2=prim7d_loc_urban__r2 if prim7d_des_b__r2==1
replace jobA_loc_vill_r2=prim7d_loc_vill__r2 if prim7d_des_b__r2==1
replace jobA_taskf_dk_r2=prim7d_taskf_dk__r2 if prim7d_des_b__r2==1
replace jobA_taskf_harv_r2=prim7d_taskf_harv__r2 if prim7d_des_b__r2==1
replace jobA_taskf_inputs_r2=prim7d_taskf_inputs__r2 if prim7d_des_b__r2==1
replace jobA_taskf_lscare_r2=prim7d_taskf_lscare__r2 if prim7d_des_b__r2==1
replace jobA_taskf_lssales_r2=prim7d_taskf_lssales__r2 if prim7d_des_b__r2==1
replace jobA_taskf_oth_r2=prim7d_taskf_oth__r2 if prim7d_des_b__r2==1
tostring prim7d_taskf_othspec__r2, replace
replace jobA_taskf_othspec_r2=prim7d_taskf_othspec__r2 if prim7d_des_b__r2==1
replace jobA_taskf_posth_r2=prim7d_taskf_posth__r2 if prim7d_des_b__r2==1
replace jobA_taskf_preh_r2=prim7d_taskf_preh__r2 if prim7d_des_b__r2==1
replace jobA_taskf_ref_r2=prim7d_taskf_ref__r2 if prim7d_des_b__r2==1
replace jobA_taskf_sales_r2=prim7d_taskf_sales__r2 if prim7d_des_b__r2==1
replace jobA_taskf_training_r2=prim7d_taskf_training__r2 if prim7d_des_b__r2==1
replace jobA_taskf_workers_r2=prim7d_taskf_workers__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_dk_r2=prim7d_tasknf_dk__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_govt_r2=prim7d_tasknf_govt__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_manfac_r2=prim7d_tasknf_manfac__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_manhome_r2=prim7d_tasknf_manhome__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_off_r2=prim7d_tasknf_off__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_oth_r2=prim7d_tasknf_oth__r2 if prim7d_des_b__r2==1
tostring prim7d_tasknf_othspec__r2, replace
replace jobA_tasknf_othspec_r2=prim7d_tasknf_othspec__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_phys_r2=prim7d_tasknf_phys__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_proc_r2=prim7d_tasknf_proc__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_ref_r2=prim7d_tasknf_ref__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_sales_r2=prim7d_tasknf_sales__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_serv_r2=prim7d_tasknf_serv__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_teach_r2=prim7d_tasknf_teach__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_transp_r2=prim7d_tasknf_transp__r2 if prim7d_des_b__r2==1
replace jobA_tasknf_workers_r2=prim7d_tasknf_workers__r2 if prim7d_des_b__r2==1

replace jobA_cat_r2=sec3m_cat__r2 if sec3m_des_b__r2==1 //selected A for secondary activity 3m round 2
replace jobA_days_r2=sec3m_days__r2 if sec3m_des_b__r2==1
replace jobA_des_r2=sec3m_des__r2 if sec3m_des_b__r2==1
replace jobA_des_b_r2=sec3m_des_b__r2 if sec3m_des_b__r2==1
replace jobA_expeninputs_r2=sec3m_expeninputs__r2 if sec3m_des_b__r2==1
replace jobA_expeninputs_ver1_r2=sec3m_expeninputs_ver1__r2 if sec3m_des_b__r2==1
replace jobA_foodag_r2=sec3m_foodag__r2 if sec3m_des_b__r2==1
replace jobA_hours7d_r2=sec3m_hours7d__r2 if sec3m_des_b__r2==1
replace jobA_hours7d_ver1_r2=sec3m_hours7d_ver1__r2 if sec3m_des_b__r2==1
replace jobA_hours_r2=sec3m_hours__r2 if sec3m_des_b__r2==1
replace jobA_hours_ver1_r2=sec3m_hours_ver1__r2 if sec3m_des_b__r2==1
replace jobA_hours_ver2_r2=sec3m_hours_ver2__r2 if sec3m_des_b__r2==1
replace jobA_hourschange_r2=sec3m_hourschange__r2 if sec3m_des_b__r2==1
replace jobA_loc_dk_r2=sec3m_loc_dk__r2 if sec3m_des_b__r2==1
replace jobA_loc_farm_r2=sec3m_loc_farm__r2 if sec3m_des_b__r2==1
replace jobA_loc_home_r2=sec3m_loc_home__r2 if sec3m_des_b__r2==1
replace jobA_loc_oth_r2=sec3m_loc_oth__r2 if sec3m_des_b__r2==1
replace jobA_loc_othspec_r2=sec3m_loc_othspec__r2 if sec3m_des_b__r2==1
replace jobA_loc_ref_r2=sec3m_loc_ref__r2 if sec3m_des_b__r2==1
replace jobA_loc_rural_r2=sec3m_loc_rural__r2 if sec3m_des_b__r2==1
replace jobA_loc_town_r2=sec3m_loc_town__r2 if sec3m_des_b__r2==1
replace jobA_loc_urban_r2=sec3m_loc_urban__r2 if sec3m_des_b__r2==1
replace jobA_loc_vill_r2=sec3m_loc_vill__r2 if sec3m_des_b__r2==1
replace jobA_month_dk_r2=sec3m_month_dk__r2 if sec3m_des_b__r2==1
replace jobA_month_ref_r2=sec3m_month_ref__r2 if sec3m_des_b__r2==1
replace jobA_numhhmem_r2=sec3m_numhhmem__r2 if sec3m_des_b__r2==1
replace jobA_pay_r2=sec3m_pay__r2 if sec3m_des_b__r2==1
replace jobA_payper_r2=sec3m_payper__r2 if sec3m_des_b__r2==1
replace jobA_payunit_r2=sec3m_payunit__r2 if sec3m_des_b__r2==1
replace jobA_profit_r2=sec3m_profit__r2 if sec3m_des_b__r2==1
replace jobA_profit_ver1_r2=sec3m_profit_ver1__r2 if sec3m_des_b__r2==1
replace jobA_profit_ver2_r2=sec3m_profit_ver2__r2 if sec3m_des_b__r2==1
replace jobA_reasonchange_r2=sec3m_reasonchange__r2 if sec3m_des_b__r2==1
replace jobA_reasonchange_oth_r2=sec3m_reasonchange_oth__r2 if sec3m_des_b__r2==1
replace jobA_rev_r2=sec3m_rev__r2 if sec3m_des_b__r2==1
replace jobA_rev_ver1_r2=sec3m_rev_ver1__r2 if sec3m_des_b__r2==1
replace jobA_taskf_dk_r2=sec3m_taskf_dk__r2 if sec3m_des_b__r2==1
replace jobA_taskf_harv_r2=sec3m_taskf_harv__r2 if sec3m_des_b__r2==1
replace jobA_taskf_inputs_r2=sec3m_taskf_inputs__r2 if sec3m_des_b__r2==1
replace jobA_taskf_lscare_r2=sec3m_taskf_lscare__r2 if sec3m_des_b__r2==1
replace jobA_taskf_lssales_r2=sec3m_taskf_lssales__r2 if sec3m_des_b__r2==1
replace jobA_taskf_oth_r2=sec3m_taskf_oth__r2 if sec3m_des_b__r2==1
replace jobA_taskf_othspec_r2=sec3m_taskf_othspec__r2 if sec3m_des_b__r2==1
replace jobA_taskf_posth_r2=sec3m_taskf_posth__r2 if sec3m_des_b__r2==1
replace jobA_taskf_preh_r2=sec3m_taskf_preh__r2 if sec3m_des_b__r2==1
replace jobA_taskf_ref_r2=sec3m_taskf_ref__r2 if sec3m_des_b__r2==1
replace jobA_taskf_sales_r2=sec3m_taskf_sales__r2 if sec3m_des_b__r2==1
replace jobA_taskf_training_r2=sec3m_taskf_training__r2 if sec3m_des_b__r2==1
replace jobA_taskf_workers_r2=sec3m_taskf_workers__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_dk_r2=sec3m_tasknf_dk__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_govt_r2=sec3m_tasknf_govt__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_manfac_r2=sec3m_tasknf_manfac__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_manhome_r2=sec3m_tasknf_manhome__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_off_r2=sec3m_tasknf_off__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_oth_r2=sec3m_tasknf_oth__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_othspec_r2=sec3m_tasknf_othspec__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_phys_r2=sec3m_tasknf_phys__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_proc_r2=sec3m_tasknf_proc__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_ref_r2=sec3m_tasknf_ref__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_sales_r2=sec3m_tasknf_sales__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_serv_r2=sec3m_tasknf_serv__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_teach_r2=sec3m_tasknf_teach__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_transp_r2=sec3m_tasknf_transp__r2 if sec3m_des_b__r2==1
replace jobA_tasknf_workers_r2=sec3m_tasknf_workers__r2 if sec3m_des_b__r2==1
replace jobA_month_aug20_r2=sec3m_month_aug20__r2 if sec3m_des_b__r2==1
replace jobA_month_sept20_r2=sec3m_month_sept20__r2 if sec3m_des_b__r2==1
replace jobA_month_oct20_r2=sec3m_month_oct20__r2 if sec3m_des_b__r2==1
replace jobA_month_nov20_r2=sec3m_month_nov20__r2 if sec3m_des_b__r2==1

*no one selected A for secondary 7d round 2
replace jobA_cat_r3=prim3m_cat__r3 if prim3m_des_b__r3==1 //selected A for primary activity 3m round 3
replace jobA_days_r3=prim3m_days__r3 if prim3m_des_b__r3==1
replace jobA_des_r3=prim3m_des__r3 if prim3m_des_b__r3==1
replace jobA_des_b_r3=prim3m_des_b__r3 if prim3m_des_b__r3==1
replace jobA_employ_r3=prim3m_employ__r3 if prim3m_des_b__r3==1
replace jobA_employweeks_r3=prim3m_employweeks__r3 if prim3m_des_b__r3==1
replace jobA_expeninputs_r3=prim3m_expeninputs__r3 if prim3m_des_b__r3==1
replace jobA_expeninputs_ver1_r3=prim3m_expeninputs_ver1__r3 if prim3m_des_b__r3==1
replace jobA_foodag_r3=prim3m_foodag__r3 if prim3m_des_b__r3==1
replace jobA_hours7d_r3=prim3m_hours7d__r3 if prim3m_des_b__r3==1
replace jobA_hours7d_ver1_r3=prim3m_hours7d_ver1__r3 if prim3m_des_b__r3==1
replace jobA_hours7d_ver2_r3=prim3m_hours7d_ver2__r3 if prim3m_des_b__r3==1
replace jobA_hours_r3=prim3m_hours__r3 if prim3m_des_b__r3==1
replace jobA_hours_ver1_r3=prim3m_hours_ver1__r3 if prim3m_des_b__r3==1
replace jobA_hours_ver2_r3=prim3m_hours_ver2__r3 if prim3m_des_b__r3==1
replace jobA_hourschange_r3=prim3m_hourschange__r3 if prim3m_des_b__r3==1
replace jobA_loc_dk_r3=prim3m_loc_dk__r3 if prim3m_des_b__r3==1
replace jobA_loc_farm_r3=prim3m_loc_farm__r3 if prim3m_des_b__r3==1
replace jobA_loc_home_r3=prim3m_loc_home__r3 if prim3m_des_b__r3==1
replace jobA_loc_oth_r3=prim3m_loc_oth__r3 if prim3m_des_b__r3==1
replace jobA_loc_othspec_r3=prim3m_loc_othspec__r3 if prim3m_des_b__r3==1
replace jobA_loc_ref_r3=prim3m_loc_ref__r3 if prim3m_des_b__r3==1
replace jobA_loc_rural_r3=prim3m_loc_rural__r3 if prim3m_des_b__r3==1
replace jobA_loc_town_r3=prim3m_loc_town__r3 if prim3m_des_b__r3==1
replace jobA_loc_urban_r3=prim3m_loc_urban__r3 if prim3m_des_b__r3==1
replace jobA_loc_vill_r3=prim3m_loc_vill__r3 if prim3m_des_b__r3==1
replace jobA_month_dk_r3=prim3m_month_dk__r3 if prim3m_des_b__r3==1
replace jobA_month_ref_r3=prim3m_month_ref__r3 if prim3m_des_b__r3==1
replace jobA_numhhmem_r3=prim3m_numhhmem__r3 if prim3m_des_b__r3==1
replace jobA_pay_r3=prim3m_pay__r3 if prim3m_des_b__r3==1
replace jobA_payper_r3=prim3m_payper__r3 if prim3m_des_b__r3==1
replace jobA_payunit_r3=prim3m_payunit__r3 if prim3m_des_b__r3==1
replace jobA_profit_r3=prim3m_profit__r3 if prim3m_des_b__r3==1
replace jobA_profit_ver1_r3=prim3m_profit_ver1__r3 if prim3m_des_b__r3==1
replace jobA_profit_ver2_r3=prim3m_profit_ver2__r3 if prim3m_des_b__r3==1
replace jobA_reasonchange_r3=prim3m_reasonchange__r3 if prim3m_des_b__r3==1
tostring prim3m_reasonchange_oth__r3, replace
replace prim3m_reasonchange_oth__r3=""
replace jobA_reasonchange_oth_r3=prim3m_reasonchange_oth__r3 if prim3m_des_b__r3==1
replace jobA_rev_r3=prim3m_rev__r3 if prim3m_des_b__r3==1
replace jobA_rev_ver1_r3=prim3m_rev_ver1__r3 if prim3m_des_b__r3==1
replace jobA_taskf_dk_r3=prim3m_taskf_dk__r3 if prim3m_des_b__r3==1
replace jobA_taskf_harv_r3=prim3m_taskf_harv__r3 if prim3m_des_b__r3==1
replace jobA_taskf_inputs_r3=prim3m_taskf_inputs__r3 if prim3m_des_b__r3==1
replace jobA_taskf_lscare_r3=prim3m_taskf_lscare__r3 if prim3m_des_b__r3==1
replace jobA_taskf_lssales_r3=prim3m_taskf_lssales__r3 if prim3m_des_b__r3==1
replace jobA_taskf_oth_r3=prim3m_taskf_oth__r3 if prim3m_des_b__r3==1
replace jobA_taskf_othspec_r3=prim3m_taskf_othspec__r3 if prim3m_des_b__r3==1
replace jobA_taskf_posth_r3=prim3m_taskf_posth__r3 if prim3m_des_b__r3==1
replace jobA_taskf_preh_r3=prim3m_taskf_preh__r3 if prim3m_des_b__r3==1
replace jobA_taskf_ref_r3=prim3m_taskf_ref__r3 if prim3m_des_b__r3==1
replace jobA_taskf_sales_r3=prim3m_taskf_sales__r3 if prim3m_des_b__r3==1
replace jobA_taskf_training_r3=prim3m_taskf_training__r3 if prim3m_des_b__r3==1
replace jobA_taskf_workers_r3=prim3m_taskf_workers__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_dk_r3=prim3m_tasknf_dk__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_govt_r3=prim3m_tasknf_govt__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_manfac_r3=prim3m_tasknf_manfac__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_manhome_r3=prim3m_tasknf_manhome__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_off_r3=prim3m_tasknf_off__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_oth_r3=prim3m_tasknf_oth__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_othspec_r3=prim3m_tasknf_othspec__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_phys_r3=prim3m_tasknf_phys__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_proc_r3=prim3m_tasknf_proc__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_ref_r3=prim3m_tasknf_ref__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_sales_r3=prim3m_tasknf_sales__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_serv_r3=prim3m_tasknf_serv__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_teach_r3=prim3m_tasknf_teach__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_transp_r3=prim3m_tasknf_transp__r3 if prim3m_des_b__r3==1
replace jobA_tasknf_workers_r3=prim3m_tasknf_workers__r3 if prim3m_des_b__r3==1
replace jobA_month_nov20_r3=prim3m_month_nov20__r3 if prim3m_des_b__r3==1
replace jobA_month_dec20_r3=prim3m_month_dec20__r3 if prim3m_des_b__r3==1
replace jobA_month_jan21_r3=prim3m_month_jan21__r3 if prim3m_des_b__r3==1
replace jobA_month_feb21_r3=prim3m_month_feb21__r3 if prim3m_des_b__r3==1

replace jobA_cat_r3=sec3m_cat__r3 if sec3m_des_b__r3==1 //selected A for secondary activity 3m round 3
replace jobA_days_r3=sec3m_days__r3 if sec3m_des_b__r3==1
replace jobA_des_r3=sec3m_des__r3 if sec3m_des_b__r3==1
replace jobA_des_b_r3=sec3m_des_b__r3 if sec3m_des_b__r3==1
replace jobA_expeninputs_r3=sec3m_expeninputs__r3 if sec3m_des_b__r3==1
replace jobA_expeninputs_ver1_r3=sec3m_expeninputs_ver1__r3 if sec3m_des_b__r3==1
replace jobA_foodag_r3=sec3m_foodag__r3 if sec3m_des_b__r3==1
replace jobA_hours7d_r3=sec3m_hours7d__r3 if sec3m_des_b__r3==1
replace jobA_hours7d_ver1_r3=sec3m_hours7d_ver1__r3 if sec3m_des_b__r3==1
replace jobA_hours_r3=sec3m_hours__r3 if sec3m_des_b__r3==1
replace jobA_hours_ver1_r3=sec3m_hours_ver1__r3 if sec3m_des_b__r3==1
replace jobA_hours_ver2_r3=sec3m_hours_ver2__r3 if sec3m_des_b__r3==1
replace jobA_hourschange_r3=sec3m_hourschange__r3 if sec3m_des_b__r3==1
replace jobA_loc_dk_r3=sec3m_loc_dk__r3 if sec3m_des_b__r3==1
replace jobA_loc_farm_r3=sec3m_loc_farm__r3 if sec3m_des_b__r3==1
replace jobA_loc_home_r3=sec3m_loc_home__r3 if sec3m_des_b__r3==1
replace jobA_loc_oth_r3=sec3m_loc_oth__r3 if sec3m_des_b__r3==1
replace jobA_loc_othspec_r3=sec3m_loc_othspec__r3 if sec3m_des_b__r3==1
replace jobA_loc_ref_r3=sec3m_loc_ref__r3 if sec3m_des_b__r3==1
replace jobA_loc_rural_r3=sec3m_loc_rural__r3 if sec3m_des_b__r3==1
replace jobA_loc_town_r3=sec3m_loc_town__r3 if sec3m_des_b__r3==1
replace jobA_loc_urban_r3=sec3m_loc_urban__r3 if sec3m_des_b__r3==1
replace jobA_loc_vill_r3=sec3m_loc_vill__r3 if sec3m_des_b__r3==1
replace jobA_month_dk_r3=sec3m_month_dk__r3 if sec3m_des_b__r3==1
replace jobA_month_ref_r3=sec3m_month_ref__r3 if sec3m_des_b__r3==1
replace jobA_numhhmem_r3=sec3m_numhhmem__r3 if sec3m_des_b__r3==1
replace jobA_pay_r3=sec3m_pay__r3 if sec3m_des_b__r3==1
replace jobA_payper_r3=sec3m_payper__r3 if sec3m_des_b__r3==1
replace jobA_payunit_r3=sec3m_payunit__r3 if sec3m_des_b__r3==1
replace jobA_profit_r3=sec3m_profit__r3 if sec3m_des_b__r3==1
replace jobA_profit_ver1_r3=sec3m_profit_ver1__r3 if sec3m_des_b__r3==1
replace jobA_profit_ver2_r3=sec3m_profit_ver2__r3 if sec3m_des_b__r3==1
tostring sec3m_reasonchange_oth__r3, replace
replace sec3m_reasonchange_oth__r3=""
replace jobA_reasonchange_r3=sec3m_reasonchange__r3 if sec3m_des_b__r3==1
replace jobA_reasonchange_oth_r3=sec3m_reasonchange_oth__r3 if sec3m_des_b__r3==1
replace jobA_rev_r3=sec3m_rev__r3 if sec3m_des_b__r3==1
replace jobA_rev_ver1_r3=sec3m_rev_ver1__r3 if sec3m_des_b__r3==1
replace jobA_taskf_dk_r3=sec3m_taskf_dk__r3 if sec3m_des_b__r3==1
replace jobA_taskf_harv_r3=sec3m_taskf_harv__r3 if sec3m_des_b__r3==1
replace jobA_taskf_inputs_r3=sec3m_taskf_inputs__r3 if sec3m_des_b__r3==1
replace jobA_taskf_lscare_r3=sec3m_taskf_lscare__r3 if sec3m_des_b__r3==1
replace jobA_taskf_lssales_r3=sec3m_taskf_lssales__r3 if sec3m_des_b__r3==1
replace jobA_taskf_oth_r3=sec3m_taskf_oth__r3 if sec3m_des_b__r3==1
replace jobA_taskf_othspec_r3=sec3m_taskf_othspec__r3 if sec3m_des_b__r3==1
replace jobA_taskf_posth_r3=sec3m_taskf_posth__r3 if sec3m_des_b__r3==1
replace jobA_taskf_preh_r3=sec3m_taskf_preh__r3 if sec3m_des_b__r3==1
replace jobA_taskf_ref_r3=sec3m_taskf_ref__r3 if sec3m_des_b__r3==1
replace jobA_taskf_sales_r3=sec3m_taskf_sales__r3 if sec3m_des_b__r3==1
replace jobA_taskf_training_r3=sec3m_taskf_training__r3 if sec3m_des_b__r3==1
replace jobA_taskf_workers_r3=sec3m_taskf_workers__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_dk_r3=sec3m_tasknf_dk__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_govt_r3=sec3m_tasknf_govt__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_manfac_r3=sec3m_tasknf_manfac__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_manhome_r3=sec3m_tasknf_manhome__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_off_r3=sec3m_tasknf_off__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_oth_r3=sec3m_tasknf_oth__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_othspec_r3=sec3m_tasknf_othspec__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_phys_r3=sec3m_tasknf_phys__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_proc_r3=sec3m_tasknf_proc__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_ref_r3=sec3m_tasknf_ref__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_sales_r3=sec3m_tasknf_sales__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_serv_r3=sec3m_tasknf_serv__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_teach_r3=sec3m_tasknf_teach__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_transp_r3=sec3m_tasknf_transp__r3 if sec3m_des_b__r3==1
replace jobA_tasknf_workers_r3=sec3m_tasknf_workers__r3 if sec3m_des_b__r3==1
replace jobA_month_nov20_r3=sec3m_month_nov20__r3 if sec3m_des_b__r3==1
replace jobA_month_dec20_r3=sec3m_month_dec20__r3 if sec3m_des_b__r3==1
replace jobA_month_jan21_r3=sec3m_month_jan21__r3 if sec3m_des_b__r3==1
replace jobA_month_feb21_r3=sec3m_month_feb21__r3 if sec3m_des_b__r3==1

replace jobA_cat_r3=prim7d_cat__r3 if prim7d_des_b__r3==1 //selected A for primary 7d round 3
tostring prim7d_des__r3, replace
replace jobA_des_r3=prim7d_des__r3 if prim7d_des_b__r3==1
replace jobA_des_b_r3=prim7d_des_b__r3 if prim7d_des_b__r3==1
replace jobA_foodag_r3=prim7d_foodag__r3 if prim7d_des_b__r3==1
replace jobA_hours_r3=prim7d_hours__r3 if prim7d_des_b__r3==1
replace jobA_loc_dk_r3=prim7d_loc_dk__r3 if prim7d_des_b__r3==1
replace jobA_loc_farm_r3=prim7d_loc_farm__r3 if prim7d_des_b__r3==1
replace jobA_loc_home_r3=prim7d_loc_home__r3 if prim7d_des_b__r3==1
replace jobA_loc_oth_r3=prim7d_loc_oth__r3 if prim7d_des_b__r3==1
replace jobA_loc_othspec_r3=prim7d_loc_othspec__r3 if prim7d_des_b__r3==1
replace jobA_loc_ref_r3=prim7d_loc_ref__r3 if prim7d_des_b__r3==1
replace jobA_loc_rural_r3=prim7d_loc_rural__r3 if prim7d_des_b__r3==1
replace jobA_loc_town_r3=prim7d_loc_town__r3 if prim7d_des_b__r3==1
replace jobA_loc_urban_r3=prim7d_loc_urban__r3 if prim7d_des_b__r3==1
replace jobA_loc_vill_r3=prim7d_loc_vill__r3 if prim7d_des_b__r3==1
replace jobA_taskf_dk_r3=prim7d_taskf_dk__r3 if prim7d_des_b__r3==1
replace jobA_taskf_harv_r3=prim7d_taskf_harv__r3 if prim7d_des_b__r3==1
replace jobA_taskf_inputs_r3=prim7d_taskf_inputs__r3 if prim7d_des_b__r3==1
replace jobA_taskf_lscare_r3=prim7d_taskf_lscare__r3 if prim7d_des_b__r3==1
replace jobA_taskf_lssales_r3=prim7d_taskf_lssales__r3 if prim7d_des_b__r3==1
replace jobA_taskf_oth_r3=prim7d_taskf_oth__r3 if prim7d_des_b__r3==1
tostring prim7d_taskf_othspec__r3, replace
replace jobA_taskf_othspec_r3=prim7d_taskf_othspec__r3 if prim7d_des_b__r3==1
replace jobA_taskf_posth_r3=prim7d_taskf_posth__r3 if prim7d_des_b__r3==1
replace jobA_taskf_preh_r3=prim7d_taskf_preh__r3 if prim7d_des_b__r3==1
replace jobA_taskf_ref_r3=prim7d_taskf_ref__r3 if prim7d_des_b__r3==1
replace jobA_taskf_sales_r3=prim7d_taskf_sales__r3 if prim7d_des_b__r3==1
replace jobA_taskf_training_r3=prim7d_taskf_training__r3 if prim7d_des_b__r3==1
replace jobA_taskf_workers_r3=prim7d_taskf_workers__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_dk_r3=prim7d_tasknf_dk__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_govt_r3=prim7d_tasknf_govt__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_manfac_r3=prim7d_tasknf_manfac__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_manhome_r3=prim7d_tasknf_manhome__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_off_r3=prim7d_tasknf_off__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_oth_r3=prim7d_tasknf_oth__r3 if prim7d_des_b__r3==1
tostring prim7d_tasknf_othspec__r3, replace
replace jobA_tasknf_othspec_r3=prim7d_tasknf_othspec__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_phys_r3=prim7d_tasknf_phys__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_proc_r3=prim7d_tasknf_proc__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_ref_r3=prim7d_tasknf_ref__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_sales_r3=prim7d_tasknf_sales__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_serv_r3=prim7d_tasknf_serv__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_teach_r3=prim7d_tasknf_teach__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_transp_r3=prim7d_tasknf_transp__r3 if prim7d_des_b__r3==1
replace jobA_tasknf_workers_r3=prim7d_tasknf_workers__r3 if prim7d_des_b__r3==1

replace jobA_cat_r3=sec7d_cat__r3 if sec7d_des_b__r3==1 //selected A for secondary 7d round 3
tostring sec7d_des__r3, replace
replace jobA_des_r3=sec7d_des__r3 if sec7d_des_b__r3==1
replace jobA_des_b_r3=sec7d_des_b__r3 if sec7d_des_b__r3==1
replace jobA_foodag_r3=sec7d_foodag__r3 if sec7d_des_b__r3==1
replace jobA_hours_r3=sec7d_hours__r3 if sec7d_des_b__r3==1
replace jobA_loc_dk_r3=sec7d_loc_dk__r3 if sec7d_des_b__r3==1
replace jobA_loc_farm_r3=sec7d_loc_farm__r3 if sec7d_des_b__r3==1
replace jobA_loc_home_r3=sec7d_loc_home__r3 if sec7d_des_b__r3==1
replace jobA_loc_oth_r3=sec7d_loc_oth__r3 if sec7d_des_b__r3==1
replace jobA_loc_othspec_r3=sec7d_loc_othspec__r3 if sec7d_des_b__r3==1
replace jobA_loc_ref_r3=sec7d_loc_ref__r3 if sec7d_des_b__r3==1
replace jobA_loc_rural_r3=sec7d_loc_rural__r3 if sec7d_des_b__r3==1
replace jobA_loc_town_r3=sec7d_loc_town__r3 if sec7d_des_b__r3==1
replace jobA_loc_urban_r3=sec7d_loc_urban__r3 if sec7d_des_b__r3==1
replace jobA_loc_vill_r3=sec7d_loc_vill__r3 if sec7d_des_b__r3==1
replace jobA_taskf_dk_r3=sec7d_taskf_dk__r3 if sec7d_des_b__r3==1
replace jobA_taskf_harv_r3=sec7d_taskf_harv__r3 if sec7d_des_b__r3==1
replace jobA_taskf_inputs_r3=sec7d_taskf_inputs__r3 if sec7d_des_b__r3==1
replace jobA_taskf_lscare_r3=sec7d_taskf_lscare__r3 if sec7d_des_b__r3==1
replace jobA_taskf_lssales_r3=sec7d_taskf_lssales__r3 if sec7d_des_b__r3==1
replace jobA_taskf_oth_r3=sec7d_taskf_oth__r3 if sec7d_des_b__r3==1
tostring sec7d_taskf_othspec__r3, replace
replace jobA_taskf_othspec_r3=sec7d_taskf_othspec__r3 if sec7d_des_b__r3==1
replace jobA_taskf_posth_r3=sec7d_taskf_posth__r3 if sec7d_des_b__r3==1
replace jobA_taskf_preh_r3=sec7d_taskf_preh__r3 if sec7d_des_b__r3==1
replace jobA_taskf_ref_r3=sec7d_taskf_ref__r3 if sec7d_des_b__r3==1
replace jobA_taskf_sales_r3=sec7d_taskf_sales__r3 if sec7d_des_b__r3==1
replace jobA_taskf_training_r3=sec7d_taskf_training__r3 if sec7d_des_b__r3==1
replace jobA_taskf_workers_r3=sec7d_taskf_workers__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_dk_r3=sec7d_tasknf_dk__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_govt_r3=sec7d_tasknf_govt__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_manfac_r3=sec7d_tasknf_manfac__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_manhome_r3=sec7d_tasknf_manhome__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_off_r3=sec7d_tasknf_off__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_oth_r3=sec7d_tasknf_oth__r3 if sec7d_des_b__r3==1
tostring sec7d_tasknf_othspec__r3, replace
replace jobA_tasknf_othspec_r3=sec7d_tasknf_othspec__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_phys_r3=sec7d_tasknf_phys__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_proc_r3=sec7d_tasknf_proc__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_ref_r3=sec7d_tasknf_ref__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_sales_r3=sec7d_tasknf_sales__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_serv_r3=sec7d_tasknf_serv__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_teach_r3=sec7d_tasknf_teach__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_transp_r3=sec7d_tasknf_transp__r3 if sec7d_des_b__r3==1
replace jobA_tasknf_workers_r3=sec7d_tasknf_workers__r3 if sec7d_des_b__r3==1

replace jobA_cat_r4=prim3m_cat__r4 if prim3m_des_b__r4==1 //selected A for primary activity 3m round 4
replace jobA_days_r4=prim3m_days__r4 if prim3m_des_b__r4==1
replace jobA_des_r4=prim3m_des__r4 if prim3m_des_b__r4==1
replace jobA_des_b_r4=prim3m_des_b__r4 if prim3m_des_b__r4==1
replace jobA_employ_r4=prim3m_employ__r4 if prim3m_des_b__r4==1
replace jobA_employweeks_r4=prim3m_employweeks__r4 if prim3m_des_b__r4==1
replace jobA_expeninputs_r4=prim3m_expeninputs__r4 if prim3m_des_b__r4==1
replace jobA_expeninputs_ver1_r4=prim3m_expeninputs_ver1__r4 if prim3m_des_b__r4==1
replace jobA_foodag_r4=prim3m_foodag__r4 if prim3m_des_b__r4==1
replace jobA_hours7d_r4=prim3m_hours7d__r4 if prim3m_des_b__r4==1
replace jobA_hours7d_ver1_r4=prim3m_hours7d_ver1__r4 if prim3m_des_b__r4==1
replace jobA_hours_r4=prim3m_hours__r4 if prim3m_des_b__r4==1
replace jobA_hours_ver1_r4=prim3m_hours_ver1__r4 if prim3m_des_b__r4==1
replace jobA_hours_ver2_r4=prim3m_hours_ver2__r4 if prim3m_des_b__r4==1
replace jobA_hourschange_r4=prim3m_hourschange__r4 if prim3m_des_b__r4==1
replace jobA_loc_dk_r4=prim3m_loc_dk__r4 if prim3m_des_b__r4==1
replace jobA_loc_farm_r4=prim3m_loc_farm__r4 if prim3m_des_b__r4==1
replace jobA_loc_home_r4=prim3m_loc_home__r4 if prim3m_des_b__r4==1
replace jobA_loc_oth_r4=prim3m_loc_oth__r4 if prim3m_des_b__r4==1
tostring jobA_loc_othspec_r4, replace
replace jobA_loc_othspec_r4=prim3m_loc_othspec__r4 if prim3m_des_b__r4==1
replace jobA_loc_ref_r4=prim3m_loc_ref__r4 if prim3m_des_b__r4==1
replace jobA_loc_rural_r4=prim3m_loc_rural__r4 if prim3m_des_b__r4==1
replace jobA_loc_town_r4=prim3m_loc_town__r4 if prim3m_des_b__r4==1
replace jobA_loc_urban_r4=prim3m_loc_urban__r4 if prim3m_des_b__r4==1
replace jobA_loc_vill_r4=prim3m_loc_vill__r4 if prim3m_des_b__r4==1
replace jobA_month_dk_r4=prim3m_month_dk__r4 if prim3m_des_b__r4==1
replace jobA_month_ref_r4=prim3m_month_ref__r4 if prim3m_des_b__r4==1
replace jobA_numhhmem_r4=prim3m_numhhmem__r4 if prim3m_des_b__r4==1
replace jobA_pay_r4=prim3m_pay__r4 if prim3m_des_b__r4==1
replace jobA_payper_r4=prim3m_payper__r4 if prim3m_des_b__r4==1
replace jobA_payunit_r4=prim3m_payunit__r4 if prim3m_des_b__r4==1
replace jobA_profit_r4=prim3m_profit__r4 if prim3m_des_b__r4==1
replace jobA_profit_ver1_r4=prim3m_profit_ver1__r4 if prim3m_des_b__r4==1
replace jobA_profit_ver2_r4=prim3m_profit_ver2__r4 if prim3m_des_b__r4==1
replace jobA_reasonchange_r4=prim3m_reasonchange__r4 if prim3m_des_b__r4==1
replace jobA_reasonchange_oth_r4=prim3m_reasonchange_oth__r4 if prim3m_des_b__r4==1
replace jobA_rev_r4=prim3m_rev__r4 if prim3m_des_b__r4==1
replace jobA_rev_ver1_r4=prim3m_rev_ver1__r4 if prim3m_des_b__r4==1
replace jobA_taskf_dk_r4=prim3m_taskf_dk__r4 if prim3m_des_b__r4==1
replace jobA_taskf_harv_r4=prim3m_taskf_harv__r4 if prim3m_des_b__r4==1
replace jobA_taskf_inputs_r4=prim3m_taskf_inputs__r4 if prim3m_des_b__r4==1
replace jobA_taskf_lscare_r4=prim3m_taskf_lscare__r4 if prim3m_des_b__r4==1
replace jobA_taskf_lssales_r4=prim3m_taskf_lssales__r4 if prim3m_des_b__r4==1
replace jobA_taskf_oth_r4=prim3m_taskf_oth__r4 if prim3m_des_b__r4==1
replace jobA_taskf_othspec_r4=prim3m_taskf_othspec__r4 if prim3m_des_b__r4==1
replace jobA_taskf_posth_r4=prim3m_taskf_posth__r4 if prim3m_des_b__r4==1
replace jobA_taskf_preh_r4=prim3m_taskf_preh__r4 if prim3m_des_b__r4==1
replace jobA_taskf_ref_r4=prim3m_taskf_ref__r4 if prim3m_des_b__r4==1
replace jobA_taskf_sales_r4=prim3m_taskf_sales__r4 if prim3m_des_b__r4==1
replace jobA_taskf_training_r4=prim3m_taskf_training__r4 if prim3m_des_b__r4==1
replace jobA_taskf_workers_r4=prim3m_taskf_workers__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_dk_r4=prim3m_tasknf_dk__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_govt_r4=prim3m_tasknf_govt__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_manfac_r4=prim3m_tasknf_manfac__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_manhome_r4=prim3m_tasknf_manhome__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_off_r4=prim3m_tasknf_off__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_oth_r4=prim3m_tasknf_oth__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_othspec_r4=prim3m_tasknf_othspec__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_phys_r4=prim3m_tasknf_phys__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_proc_r4=prim3m_tasknf_proc__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_ref_r4=prim3m_tasknf_ref__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_sales_r4=prim3m_tasknf_sales__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_serv_r4=prim3m_tasknf_serv__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_teach_r4=prim3m_tasknf_teach__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_transp_r4=prim3m_tasknf_transp__r4 if prim3m_des_b__r4==1
replace jobA_tasknf_workers_r4=prim3m_tasknf_workers__r4 if prim3m_des_b__r4==1
replace jobA_month_feb21_r4=prim3m_month_feb21__r4 if prim3m_des_b__r4==1
replace jobA_month_mar21_r4=prim3m_month_mar21__r4 if prim3m_des_b__r4==1
replace jobA_month_apr21_r4=prim3m_month_apr21__r4 if prim3m_des_b__r4==1
replace jobA_month_may21_r4=prim3m_month_may21__r4 if prim3m_des_b__r4==1
replace jobA_month_jun21_r4=prim3m_month_jun21__r4 if prim3m_des_b__r4==1

replace jobA_cat_r4=sec3m_cat__r4 if sec3m_des_b__r4==1 //selected A for secondary activity 3m round 4
replace jobA_days_r4=sec3m_days__r4 if sec3m_des_b__r4==1
replace jobA_des_r4=sec3m_des__r4 if sec3m_des_b__r4==1
replace jobA_des_b_r4=sec3m_des_b__r4 if sec3m_des_b__r4==1
replace jobA_expeninputs_r4=sec3m_expeninputs__r4 if sec3m_des_b__r4==1
replace jobA_expeninputs_ver1_r4=sec3m_expeninputs_ver1__r4 if sec3m_des_b__r4==1
replace jobA_foodag_r4=sec3m_foodag__r4 if sec3m_des_b__r4==1
replace jobA_hours7d_r4=sec3m_hours7d__r4 if sec3m_des_b__r4==1
replace jobA_hours7d_ver1_r4=sec3m_hours7d_ver1__r4 if sec3m_des_b__r4==1
replace jobA_hours_r4=sec3m_hours__r4 if sec3m_des_b__r4==1
replace jobA_hours_ver1_r4=sec3m_hours_ver1__r4 if sec3m_des_b__r4==1
replace jobA_hours_ver2_r4=sec3m_hours_ver2__r4 if sec3m_des_b__r4==1
replace jobA_hourschange_r4=sec3m_hourschange__r4 if sec3m_des_b__r4==1
replace jobA_loc_dk_r4=sec3m_loc_dk__r4 if sec3m_des_b__r4==1
replace jobA_loc_farm_r4=sec3m_loc_farm__r4 if sec3m_des_b__r4==1
replace jobA_loc_home_r4=sec3m_loc_home__r4 if sec3m_des_b__r4==1
replace jobA_loc_oth_r4=sec3m_loc_oth__r4 if sec3m_des_b__r4==1
replace jobA_loc_othspec_r4=sec3m_loc_othspec__r4 if sec3m_des_b__r4==1
replace jobA_loc_ref_r4=sec3m_loc_ref__r4 if sec3m_des_b__r4==1
replace jobA_loc_rural_r4=sec3m_loc_rural__r4 if sec3m_des_b__r4==1
replace jobA_loc_town_r4=sec3m_loc_town__r4 if sec3m_des_b__r4==1
replace jobA_loc_urban_r4=sec3m_loc_urban__r4 if sec3m_des_b__r4==1
replace jobA_loc_vill_r4=sec3m_loc_vill__r4 if sec3m_des_b__r4==1
replace jobA_month_dk_r4=sec3m_month_dk__r4 if sec3m_des_b__r4==1
replace jobA_month_ref_r4=sec3m_month_ref__r4 if sec3m_des_b__r4==1
replace jobA_numhhmem_r4=sec3m_numhhmem__r4 if sec3m_des_b__r4==1
replace jobA_pay_r4=sec3m_pay__r4 if sec3m_des_b__r4==1
replace jobA_payper_r4=sec3m_payper__r4 if sec3m_des_b__r4==1
replace jobA_payunit_r4=sec3m_payunit__r4 if sec3m_des_b__r4==1
replace jobA_profit_r4=sec3m_profit__r4 if sec3m_des_b__r4==1
replace jobA_profit_ver1_r4=sec3m_profit_ver1__r4 if sec3m_des_b__r4==1
replace jobA_profit_ver2_r4=sec3m_profit_ver2__r4 if sec3m_des_b__r4==1
replace jobA_reasonchange_r4=sec3m_reasonchange__r4 if sec3m_des_b__r4==1
tostring sec3m_reasonchange_oth__r4, replace
replace jobA_reasonchange_oth_r4=sec3m_reasonchange_oth__r4 if sec3m_des_b__r4==1
replace jobA_rev_r4=sec3m_rev__r4 if sec3m_des_b__r4==1
replace jobA_rev_ver1_r4=sec3m_rev_ver1__r4 if sec3m_des_b__r4==1
replace jobA_taskf_dk_r4=sec3m_taskf_dk__r4 if sec3m_des_b__r4==1
replace jobA_taskf_harv_r4=sec3m_taskf_harv__r4 if sec3m_des_b__r4==1
replace jobA_taskf_inputs_r4=sec3m_taskf_inputs__r4 if sec3m_des_b__r4==1
replace jobA_taskf_lscare_r4=sec3m_taskf_lscare__r4 if sec3m_des_b__r4==1
replace jobA_taskf_lssales_r4=sec3m_taskf_lssales__r4 if sec3m_des_b__r4==1
replace jobA_taskf_oth_r4=sec3m_taskf_oth__r4 if sec3m_des_b__r4==1
replace jobA_taskf_othspec_r4=sec3m_taskf_othspec__r4 if sec3m_des_b__r4==1
replace jobA_taskf_posth_r4=sec3m_taskf_posth__r4 if sec3m_des_b__r4==1
replace jobA_taskf_preh_r4=sec3m_taskf_preh__r4 if sec3m_des_b__r4==1
replace jobA_taskf_ref_r4=sec3m_taskf_ref__r4 if sec3m_des_b__r4==1
replace jobA_taskf_sales_r4=sec3m_taskf_sales__r4 if sec3m_des_b__r4==1
replace jobA_taskf_training_r4=sec3m_taskf_training__r4 if sec3m_des_b__r4==1
replace jobA_taskf_workers_r4=sec3m_taskf_workers__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_dk_r4=sec3m_tasknf_dk__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_govt_r4=sec3m_tasknf_govt__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_manfac_r4=sec3m_tasknf_manfac__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_manhome_r4=sec3m_tasknf_manhome__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_off_r4=sec3m_tasknf_off__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_oth_r4=sec3m_tasknf_oth__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_othspec_r4=sec3m_tasknf_othspec__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_phys_r4=sec3m_tasknf_phys__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_proc_r4=sec3m_tasknf_proc__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_ref_r4=sec3m_tasknf_ref__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_sales_r4=sec3m_tasknf_sales__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_serv_r4=sec3m_tasknf_serv__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_teach_r4=sec3m_tasknf_teach__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_transp_r4=sec3m_tasknf_transp__r4 if sec3m_des_b__r4==1
replace jobA_tasknf_workers_r4=sec3m_tasknf_workers__r4 if sec3m_des_b__r4==1
replace jobA_month_feb21_r4=sec3m_month_feb21__r4 if sec3m_des_b__r4==1
replace jobA_month_mar21_r4=sec3m_month_mar21__r4 if sec3m_des_b__r4==1
replace jobA_month_apr21_r4=sec3m_month_apr21__r4 if sec3m_des_b__r4==1
replace jobA_month_may21_r4=sec3m_month_may21__r4 if sec3m_des_b__r4==1
replace jobA_month_jun21_r4=sec3m_month_jun21__r4 if sec3m_des_b__r4==1

replace jobA_cat_r4=prim7d_cat__r4 if prim7d_des_b__r4==1 //selected A for primary 7d round 4
replace jobA_des_r4=prim7d_des__r4 if prim7d_des_b__r4==1 
replace jobA_des_b_r4=prim7d_des_b__r4 if prim7d_des_b__r4==1 
replace jobA_foodag_r4=prim7d_foodag__r4 if prim7d_des_b__r4==1 
replace jobA_hours_r4=prim7d_hours__r4 if prim7d_des_b__r4==1 
replace jobA_loc_dk_r4=prim7d_loc_dk__r4 if prim7d_des_b__r4==1 
replace jobA_loc_farm_r4=prim7d_loc_farm__r4 if prim7d_des_b__r4==1 
replace jobA_loc_home_r4=prim7d_loc_home__r4 if prim7d_des_b__r4==1 
replace jobA_loc_oth_r4=prim7d_loc_oth__r4 if prim7d_des_b__r4==1 
tostring jobA_loc_othspec_r4, replace
replace jobA_loc_othspec_r4=prim7d_loc_othspec__r4 if prim7d_des_b__r4==1 
replace jobA_loc_ref_r4=prim7d_loc_ref__r4 if prim7d_des_b__r4==1 
replace jobA_loc_rural_r4=prim7d_loc_rural__r4 if prim7d_des_b__r4==1 
replace jobA_loc_town_r4=prim7d_loc_town__r4 if prim7d_des_b__r4==1 
replace jobA_loc_urban_r4=prim7d_loc_urban__r4 if prim7d_des_b__r4==1 
replace jobA_loc_vill_r4=prim7d_loc_vill__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_dk_r4=prim7d_taskf_dk__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_harv_r4=prim7d_taskf_harv__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_inputs_r4=prim7d_taskf_inputs__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_lscare_r4=prim7d_taskf_lscare__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_lssales_r4=prim7d_taskf_lssales__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_oth_r4=prim7d_taskf_oth__r4 if prim7d_des_b__r4==1 
tostring jobA_taskf_othspec_r4, replace
replace jobA_taskf_othspec_r4=prim7d_taskf_othspec__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_posth_r4=prim7d_taskf_posth__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_preh_r4=prim7d_taskf_preh__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_ref_r4=prim7d_taskf_ref__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_sales_r4=prim7d_taskf_sales__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_training_r4=prim7d_taskf_training__r4 if prim7d_des_b__r4==1 
replace jobA_taskf_workers_r4=prim7d_taskf_workers__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_dk_r4=prim7d_tasknf_dk__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_govt_r4=prim7d_tasknf_govt__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_manfac_r4=prim7d_tasknf_manfac__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_manhome_r4=prim7d_tasknf_manhome__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_off_r4=prim7d_tasknf_off__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_oth_r4=prim7d_tasknf_oth__r4 if prim7d_des_b__r4==1 
tostring jobA_tasknf_othspec_r4, replace
replace jobA_tasknf_othspec_r4=prim7d_tasknf_othspec__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_phys_r4=prim7d_tasknf_phys__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_proc_r4=prim7d_tasknf_proc__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_ref_r4=prim7d_tasknf_ref__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_sales_r4=prim7d_tasknf_sales__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_serv_r4=prim7d_tasknf_serv__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_teach_r4=prim7d_tasknf_teach__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_transp_r4=prim7d_tasknf_transp__r4 if prim7d_des_b__r4==1 
replace jobA_tasknf_workers_r4=prim7d_tasknf_workers__r4 if prim7d_des_b__r4==1 

replace jobA_cat_r4=sec7d_cat__r4 if sec7d_des_b__r4==1 //selected A for secondary 7d round 4
tostring sec7d_des__r4, replace
replace jobA_des_r4=sec7d_des__r4 if sec7d_des_b__r4==1
replace jobA_des_b_r4=sec7d_des_b__r4 if sec7d_des_b__r4==1
replace jobA_foodag_r4=sec7d_foodag__r4 if sec7d_des_b__r4==1
replace jobA_hours_r4=sec7d_hours__r4 if sec7d_des_b__r4==1
replace jobA_loc_dk_r4=sec7d_loc_dk__r4 if sec7d_des_b__r4==1
replace jobA_loc_farm_r4=sec7d_loc_farm__r4 if sec7d_des_b__r4==1
replace jobA_loc_home_r4=sec7d_loc_home__r4 if sec7d_des_b__r4==1
replace jobA_loc_oth_r4=sec7d_loc_oth__r4 if sec7d_des_b__r4==1
replace jobA_loc_othspec_r4=sec7d_loc_othspec__r4 if sec7d_des_b__r4==1
replace jobA_loc_ref_r4=sec7d_loc_ref__r4 if sec7d_des_b__r4==1
replace jobA_loc_rural_r4=sec7d_loc_rural__r4 if sec7d_des_b__r4==1
replace jobA_loc_town_r4=sec7d_loc_town__r4 if sec7d_des_b__r4==1
replace jobA_loc_urban_r4=sec7d_loc_urban__r4 if sec7d_des_b__r4==1
replace jobA_loc_vill_r4=sec7d_loc_vill__r4 if sec7d_des_b__r4==1
replace jobA_taskf_dk_r4=sec7d_taskf_dk__r4 if sec7d_des_b__r4==1
replace jobA_taskf_harv_r4=sec7d_taskf_harv__r4 if sec7d_des_b__r4==1
replace jobA_taskf_inputs_r4=sec7d_taskf_inputs__r4 if sec7d_des_b__r4==1
replace jobA_taskf_lscare_r4=sec7d_taskf_lscare__r4 if sec7d_des_b__r4==1
replace jobA_taskf_lssales_r4=sec7d_taskf_lssales__r4 if sec7d_des_b__r4==1
replace jobA_taskf_oth_r4=sec7d_taskf_oth__r4 if sec7d_des_b__r4==1
replace jobA_taskf_othspec_r4=sec7d_taskf_othspec__r4 if sec7d_des_b__r4==1
replace jobA_taskf_posth_r4=sec7d_taskf_posth__r4 if sec7d_des_b__r4==1
replace jobA_taskf_preh_r4=sec7d_taskf_preh__r4 if sec7d_des_b__r4==1
replace jobA_taskf_ref_r4=sec7d_taskf_ref__r4 if sec7d_des_b__r4==1
replace jobA_taskf_sales_r4=sec7d_taskf_sales__r4 if sec7d_des_b__r4==1
replace jobA_taskf_training_r4=sec7d_taskf_training__r4 if sec7d_des_b__r4==1
replace jobA_taskf_workers_r4=sec7d_taskf_workers__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_dk_r4=sec7d_tasknf_dk__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_govt_r4=sec7d_tasknf_govt__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_manfac_r4=sec7d_tasknf_manfac__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_manhome_r4=sec7d_tasknf_manhome__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_off_r4=sec7d_tasknf_off__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_oth_r4=sec7d_tasknf_oth__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_othspec_r4=sec7d_tasknf_othspec__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_phys_r4=sec7d_tasknf_phys__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_proc_r4=sec7d_tasknf_proc__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_ref_r4=sec7d_tasknf_ref__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_sales_r4=sec7d_tasknf_sales__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_serv_r4=sec7d_tasknf_serv__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_teach_r4=sec7d_tasknf_teach__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_transp_r4=sec7d_tasknf_transp__r4 if sec7d_des_b__r4==1
replace jobA_tasknf_workers_r4=sec7d_tasknf_workers__r4 if sec7d_des_b__r4==1

********************************************************************************
*Job B*
********************************************************************************
glo sec3mvar cat days des_b expeninputs expeninputs_ver1 foodag hours7d hours7d_ver1 hours hours_ver1 hours_ver2 hourschange loc_dk loc_farm loc_home loc_oth loc_othspec loc_ref loc_rural loc_town loc_urban loc_vill month_dk month_ref numhhmem pay payper payunit profit profit_ver1 profit_ver2 reasonchange rev rev_ver1 taskf_dk taskf_harv taskf_inputs taskf_lscare taskf_lssales taskf_oth taskf_posth taskf_preh taskf_ref taskf_sales taskf_training taskf_workers tasknf_dk tasknf_govt tasknf_manfac tasknf_manhome tasknf_off tasknf_oth tasknf_phys tasknf_proc tasknf_ref tasknf_sales tasknf_serv tasknf_teach tasknf_transp tasknf_workers 

tostring sec3m_reasonchange_oth__r1, replace
tostring sec3m_reasonchange_oth__r2, replace
tostring sec3m_reasonchange_oth__r3, replace
tostring sec3m_reasonchange_oth__r4, replace
tostring prim3m_reasonchange_oth__r1, replace
tostring prim3m_reasonchange_oth__r2, replace
tostring prim3m_reasonchange_oth__r3, replace
tostring prim3m_reasonchange_oth__r4, replace
tostring prim7d_taskf_othspec__r1, replace
tostring prim7d_taskf_othspec__r2, replace
tostring prim7d_taskf_othspec__r3, replace
tostring prim7d_taskf_othspec__r4, replace
tostring prim7d_tasknf_othspec__r1, replace
tostring prim7d_tasknf_othspec__r2, replace
tostring prim7d_tasknf_othspec__r3, replace
tostring prim7d_tasknf_othspec__r4, replace
tostring sec7d_taskf_othspec__r1, replace
tostring sec7d_taskf_othspec__r2, replace
tostring sec7d_taskf_othspec__r3, replace
tostring sec7d_taskf_othspec__r4, replace
tostring sec7d_tasknf_othspec__r1, replace
tostring sec7d_tasknf_othspec__r2, replace
tostring sec7d_tasknf_othspec__r3, replace
tostring sec7d_tasknf_othspec__r4, replace
tostring sec7d_des__r1, replace
tostring sec7d_des__r2, replace
tostring sec7d_des__r3, replace
tostring sec7d_des__r4, replace
tostring jobB_loc_othspec_r4, replace

foreach var in $sec3mvar $monthsr1 $var3mstring {
	replace jobB_`var'_r1=sec3m_`var'__r1 if jobid_b==2
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r1=prim7d_`var'__r1 if jobid_b==3
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r1=sec7d_`var'__r1 if jobid_b==4
}

foreach var in $var3m $monthsr2 $var3mstring {
	replace jobB_`var'_r2=prim3m_`var'__r2 if prim3m_des_b__r2==2
}

foreach var in $sec3mvar $monthsr2 $var3mstring  {
	replace jobB_`var'_r2=sec3m_`var'__r2 if sec3m_des_b__r2==2
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r2=prim7d_`var'__r2 if prim7d_des_b__r2==2
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r2=sec7d_`var'__r2 if sec7d_des_b__r2==2
}

foreach var in $var3m $monthsr3 $var3mstring {
	replace jobB_`var'_r3=prim3m_`var'__r3 if prim3m_des_b__r3==2
}

foreach var in $sec3mvar $monthsr3 $var3mstring {
	replace jobB_`var'_r3=sec3m_`var'__r3 if sec3m_des_b__r3==2
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r3=prim7d_`var'__r3 if prim7d_des_b__r3==2
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r3=sec7d_`var'__r3 if sec7d_des_b__r3==2
}

glo var3mr4 cat days des_b employ employweeks expeninputs expeninputs_ver1 foodag hours7d hours7d_ver1 hours hours_ver1 hours_ver2 hourschange loc_dk loc_farm loc_home loc_oth loc_othspec loc_ref loc_rural loc_town loc_urban loc_vill month_dk month_ref numhhmem pay payper payunit profit profit_ver1 profit_ver2 reasonchange rev rev_ver1 taskf_dk taskf_harv taskf_inputs taskf_lscare taskf_lssales taskf_oth taskf_posth taskf_preh taskf_ref taskf_sales taskf_training taskf_workers tasknf_dk tasknf_govt tasknf_manfac tasknf_manhome tasknf_off tasknf_oth tasknf_phys tasknf_proc tasknf_ref tasknf_sales tasknf_serv tasknf_teach tasknf_transp tasknf_workers


foreach var in $var3mr4 $monthsr4 $var3mstring {
	replace jobB_`var'_r4=prim3m_`var'__r4 if prim3m_des_b__r4==2
}

foreach var in $sec3mvar $monthsr4 $var3mstring {
	replace jobB_`var'_r4=sec3m_`var'__r4 if sec3m_des_b__r4==2
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r4=prim7d_`var'__r4 if prim7d_des_b__r4==2
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r4=sec7d_`var'__r4 if sec7d_des_b__r4==2
}


********************************************************************************
*Job C*
********************************************************************************

tostring jobC_loc_othspec_r4, replace

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r1=prim7d_`var'__r1 if jobid_c==3
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r1=sec7d_`var'__r1 if jobid_c==4
}

foreach var in $var3m $monthsr2 $var3mstring {
	replace jobC_`var'_r2=prim3m_`var'__r2 if prim3m_des_b__r2==3
}

foreach var in $sec3mvar $monthsr2  $var3mstring  {
	replace jobC_`var'_r2=sec3m_`var'__r2 if sec3m_des_b__r2==3
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r2=prim7d_`var'__r2 if prim7d_des_b__r2==3
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r2=sec7d_`var'__r2 if sec7d_des_b__r2==3
}

foreach var in $var3m $monthsr3 $var3mstring {
	replace jobC_`var'_r3=prim3m_`var'__r3 if prim3m_des_b__r3==3
}

foreach var in $sec3mvar $monthsr3 $var3mstring {
	replace jobC_`var'_r3=sec3m_`var'__r3 if sec3m_des_b__r3==3
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r3=prim7d_`var'__r3 if prim7d_des_b__r3==3
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r3=sec7d_`var'__r3 if sec7d_des_b__r3==3
}


foreach var in $var3mr4 $monthsr4 $var3mstring {
	replace jobC_`var'_r4=prim3m_`var'__r4 if prim3m_des_b__r4==3 
}

foreach var in $sec3mvar $monthsr4 $var3mstring {
	replace jobC_`var'_r4=sec3m_`var'__r4 if sec3m_des_b__r4==3
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r4=prim7d_`var'__r4 if prim7d_des_b__r4==3
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r4=sec7d_`var'__r4 if sec7d_des_b__r4==3
}


********************************************************************************
*Job D*
********************************************************************************
*Note: will need to check that any fourth jobs dropped off preload were not re-reported as "other" in round 4

tostring jobD_loc_othspec_r4, replace

foreach var in $var3mr4 $monthsr2 $var3mstring {
	replace jobD_`var'_r2=prim3m_`var'__r2 if prim3m_des_b__r2==4 & jobid_c!=. & jobid_c<5 //aka job C came before round 2 prim3m
}

foreach var in $sec3mvar $monthsr2 $var3mstring {
	replace jobD_`var'_r2=sec3m_`var'__r2 if sec3m_des_b__r2==4 & jobid_c!=. & jobid_c<6
}

foreach var in $var7d $var7dstring {
	replace jobD_`var'_r2=prim7d_`var'__r2 if prim7d_des_b__r2==4 & jobid_c!=. & jobid_c<7
}

foreach var in $var7d $var7dstring {
	replace jobD_`var'_r2=sec7d_`var'__r2 if sec7d_des_b__r2==4 & jobid_c!=. & jobid_c<8
}

foreach var in $var3mr4 $monthsr3 $var3mstring {
	replace jobD_`var'_r3=prim3m_`var'__r3 if prim3m_des_b__r3==4 & jobid_c!=. & jobid_c<9 //aka job C came before round 3 prim3m
}

foreach var in $sec3mvar $monthsr3 $var3mstring {
	replace jobD_`var'_r3=sec3m_`var'__r3 if sec3m_des_b__r3==4 & jobid_c!=. & jobid_c<10
}

foreach var in $var7d $var7dstring {
	replace jobD_`var'_r3=prim7d_`var'__r3 if prim7d_des_b__r3==4 & jobid_c!=. & jobid_c<11
}

foreach var in $var7d $var7dstring {
	replace jobD_`var'_r3=sec7d_`var'__r3 if sec7d_des_b__r3==4 & jobid_c!=. & jobid_c<12
}


foreach var in $var3mr4 $monthsr4  $var3mstring {
	replace jobD_`var'_r4=prim3m_`var'__r4 if prim3m_des_b__r4==4 & jobid_c!=. //aka job C came before round 4 prim3m
}

foreach var in $sec3mvar $monthsr4 $var3mstring {
	replace jobD_`var'_r4=sec3m_`var'__r4 if sec3m_des_b__r4==4 & jobid_c!=.
}

foreach var in $var7d $var7dstring {
	replace jobD_`var'_r4=prim7d_`var'__r4 if prim7d_des_b__r4==4 & jobid_c!=.
}

foreach var in $var7d $var7dstring {
	replace jobD_`var'_r4=sec7d_`var'__r4 if sec7d_des_b__r4==4 & jobid_c!=.
}



********************************************************************************
*Add in newly reported jobs (A-C) from rounds 2,3, and 4*
********************************************************************************

*Job A*
foreach var in $var3mr4 $monthsr2 $var3mstring {
	replace jobA_`var'_r2=prim3m_`var'__r2 if jobid_a==5 //add in job if jobA came from prim3m__r2
}

foreach var in $sec3mvar $monthsr2 $var3mstring {
	replace jobA_`var'_r2=sec3m_`var'__r2 if jobid_a==6
}

foreach var in $var7d $var7dstring {
	replace jobA_`var'_r2=prim7d_`var'__r2 if jobid_a==7
}

foreach var in $var7d $var7dstring {
	replace jobA_`var'_r2=sec7d_`var'__r2 if jobid_a==8
}

foreach var in $var3mr4 $monthsr3 $var3mstring {
	replace jobA_`var'_r3=prim3m_`var'__r3 if jobid_a==9 //add in job if jobA came from prim3m__r3
}

foreach var in $sec3mvar $monthsr3 $var3mstring {
	replace jobA_`var'_r3=sec3m_`var'__r3 if jobid_a==10
}
	
foreach var in $var7d $var7dstring {
	replace jobA_`var'_r3=prim7d_`var'__r3 if jobid_a==11
}

foreach var in $var7d $var7dstring {
	replace jobA_`var'_r3=sec7d_`var'__r3 if jobid_a==12
}


*Laura: will need to check there was no one who reported two new jobs in round 4

foreach var in $var3mr4 $monthsr4 $var3mstring {
	replace jobA_`var'_r4=prim3m_`var'__r4 if jobid_a==. & prim3m_des_b__r4==4 //add in job if jobA was empty prior to round 4 preload and selected other for prim3m__r4
}

foreach var in $sec3mvar $monthsr4 $var3mstring {
	replace jobA_`var'_r4=sec3m_`var'__r4 if jobid_a==. & sec3m_des_b__r4==4
}

foreach var in $var7d $var7dstring {
	replace jobA_`var'_r4=prim7d_`var'__r4 if jobid_a==. & prim7d_des_b__r4==4
}

foreach var in $var7d $var7dstring {
	replace jobA_`var'_r4=sec7d_`var'__r4 if jobid_a==. & sec7d_des_b__r4==4
}


*Job B*
foreach var in $var3mr4 $monthsr2 $var3mstring {
	replace jobB_`var'_r2=prim3m_`var'__r2 if jobid_b==5 //add in job if jobB came from prim3m__r2
}

foreach var in $sec3mvar $monthsr2 $var3mstring {
	replace jobB_`var'_r2=sec3m_`var'__r2 if jobid_b==6
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r2=prim7d_`var'__r2 if jobid_b==7
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r2=sec7d_`var'__r2 if jobid_b==8
}

foreach var in $var3mr4 $monthsr3 $var3mstring {
	replace jobB_`var'_r3=prim3m_`var'__r3 if jobid_b==9 //add in job if jobB came from prim3m__r3
}

foreach var in $sec3mvar $monthsr3 $var3mstring {
	replace jobB_`var'_r3=sec3m_`var'__r3 if jobid_b==10
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r3=prim7d_`var'__r3 if jobid_b==11
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r3=sec7d_`var'__r3 if jobid_b==12
}


foreach var in $var3mr4 $monthsr4 $var3mstring {
	replace jobB_`var'_r4=prim3m_`var'__r4 if jobid_a!=. & jobid_b==. & prim3m_des_b__r4==4 //add in job if jobB was empty prior to round 4 preload, but jobA was filled, and selected other for prim3m__r4
}

foreach var in $sec3mvar $monthsr4 $var3mstring {
	replace jobB_`var'_r4=sec3m_`var'__r4 if jobid_a!=. & jobid_b==. & sec3m_des_b__r4==4
}
	
foreach var in $var7d $var7dstring {
	replace jobB_`var'_r4=prim7d_`var'__r4 if jobid_a!=. & jobid_b==. & prim7d_des_b__r4==4
}

foreach var in $var7d $var7dstring {
	replace jobB_`var'_r4=sec7d_`var'__r4 if jobid_a!=. & jobid_b==. & sec7d_des_b__r4==4
}


*Job C*
foreach var in $var3mr4 $monthsr2 $var3mstring {
	replace jobC_`var'_r2=prim3m_`var'__r2 if jobid_c==5 //add in job if jobC came from prim3m__r2
}

foreach var in $sec3mvar $monthsr2 $var3mstring {
	replace jobC_`var'_r2=sec3m_`var'__r2 if jobid_c==6
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r2=prim7d_`var'__r2 if jobid_c==7
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r2=sec7d_`var'__r2 if jobid_c==8
}

foreach var in $var3mr4 $monthsr3 $var3mstring {
	replace jobC_`var'_r3=prim3m_`var'__r3 if jobid_c==9 //add in job if jobC came from prim3m__r3
}

foreach var in $sec3mvar $monthsr3 $var3mstring {
	replace jobC_`var'_r3=sec3m_`var'__r3 if jobid_c==10
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r3=prim7d_`var'__r3 if jobid_c==11
}

foreach var in $var7d $var7dstring {
	replace jobC_`var'_r3=sec7d_`var'__r3 if jobid_c==12
}

foreach var in $var3mr4 $monthsr4 $var3mstring {
	replace jobC_`var'_r4=prim3m_`var'__r4 if jobid_a!=. & jobid_b!=. & jobid_c==. & prim3m_des_b__r4==4 //add in job if jobB was empty prior to round 4 preload, but jobs A and B were filled, and selected other for prim3m__r4
}

foreach var in $sec3mvar $monthsr4 $var3mstring {
	replace jobC_`var'_r4=sec3m_`var'__r4 if jobid_a!=. & jobid_b!=. & jobid_c==. & sec3m_des_b__r4==4
}
	
foreach var in $var7d $var7dstring {
	replace jobC_`var'_r4=prim7d_`var'__r4 if jobid_a!=. & jobid_b!=. & jobid_c==. & prim7d_des_b__r4==4
}


foreach var in $var7d $var7dstring {
	replace jobC_`var'_r4=sec7d_`var'__r4 if jobid_a!=. & jobid_b!=. & jobid_c==. & sec7d_des_b__r4==4
}


recode job*_month*_* prim12m_month*__r4 sec12m_month*__r4 (2=0)
label define yesno 1 "Yes" 0 "No"
label values job*_month_* yesno
label values prim12m_month* yesno
label values sec12m_month* yesno


*drop if missing round 4 data - not sure why this is happening, can check into it more
drop if missing(work12m__r4)

*create easy age and gender variables
*gen age = age_r1

gen female = 1 if gender == 0
replace female = 0 if gender == 1


*fix up survey dates
forvalues X= 1/4{
gen date2_r`X'= date(SurveyCreatedDate_r`X', "MDY")
format date2_r`X' %td
gen day_r`X'=day(date2_r`X')
gen month_r`X'=month(date2_r`X')
}


********************************************************************
*******gen fraction of each month covered in each survey round******
********************************************************************
gen percent_apr20_r1=. 
gen percent_may20_r1=. 
gen percent_jun20_r1=1 if month_r1!=.
gen percent_jul20_r1=. 
gen percent_aug20_r2=. 
gen percent_sept20_r2=.
gen percent_oct20_r2=1 if month_r2!=.
gen percent_nov20_r2=. 
gen percent_nov20_r3=. 
gen percent_dec20_r3=. 
gen percent_jan21_r3=1 if month_r3!=.
gen percent_feb21_r3=. 
gen percent_mar21_r4=. 
gen percent_apr21_r4=. 
gen percent_may21_r4=1 if month_r4!=.
gen percent_jun21_r4=.

replace percent_apr20_r1=0 if month_r1==8
replace percent_apr20_r1=(((30-day_r1))/30) if month_r1==7

replace percent_may20_r1=1 if month_r1==7
replace percent_may20_r1=(((31-day_r1))/31) if month_r1==8

replace percent_jul20_r1=1 if month_r1==8
replace percent_jul20_r1=(day_r1/31) if month_r1==7

replace percent_aug20_r2=0 if month_r2==12
replace percent_aug20_r2=(((31-day_r2))/31) if month_r2==11

replace percent_sept20_r2=1 if month_r2==11
replace percent_sept20_r2=(((30-day_r2))/30) if month_r2==12

replace percent_nov20_r2=1 if month_r2==12
replace percent_nov20_r2=(day_r2/30) if month_r2==11

replace percent_nov20_r3=0 if month_r3==3
replace percent_nov20_r3=(((30-day_r3))/30) if month_r3==2

replace percent_dec20_r3=1 if month_r3==2
replace percent_dec20_r3=(((31-day_r1))/31) if month_r3==3

replace percent_feb21_r3=1 if month_r3==3
replace percent_feb21_r3=(day_r3/28) if month_r3==2

replace percent_mar21_r4=0 if month_r4==7 & treatment!=0
replace percent_mar21_r4=(((31-day_r4))/31) if month_r4==6 & treatment!=0

replace percent_apr21_r4=1 if month_r4==6  & treatment!=0
replace percent_apr21_r4=(((30-day_r4))/30) if month_r4==7 & treatment!=0

replace percent_jun21_r4=1 if month_r4==7 & treatment!=0
replace percent_jun21_r4=(day_r4/30) if month_r4==6 & treatment!=0

replace percent_may21_r4 = . if percent_jun21_r4 == .


******Number of unique jobs******
***eventually this should be tweaked to take into consideration the months that we drop from consideration if they only worked a job in one of those months
**********************************

*three month recall

foreach X in A B C D {
	
	gen job`X'= 0 if treatment!=0
	gen job`X'b= 0 if treatment!=0
	}

replace jobA = 1 if (jobA_3m_r1!=3 | jobA_7d_r1!=3 | jobA_3m_r2!=3 | jobA_7d_r2!=3 | jobA_3m_r3!=3 | jobA_7d_r3!=3 | jobA_3m_r4!=3 | jobA_7d_r4!=3)
replace jobB = 1 if (jobB_3m_r1!=3 | jobB_7d_r1!=3 | jobB_3m_r2!=3 | jobB_7d_r2!=3 | jobB_3m_r3!=3 | jobB_7d_r3!=3 | jobB_3m_r4!=3 | jobB_7d_r4!=3)
replace jobC = 1 if (jobC_7d_r1!=3 | jobC_3m_r2!=3 | jobC_7d_r2!=3 | jobC_3m_r3!=3 | jobC_7d_r3!=3 | jobC_3m_r4!=3 | jobC_7d_r4!=3)
replace jobD = 1 if (jobD_3m_r2!=3 | jobD_7d_r2!=3 | jobD_3m_r3!=3 | jobD_7d_r3!=3 | jobD_3m_r4!=3 | jobD_7d_r4!=3)

replace jobAb = 1 if (jobA_3m_r2!=3 | jobA_7d_r2!=3 | jobA_3m_r3!=3 | jobA_7d_r3!=3 | jobA_3m_r4!=3 | jobA_7d_r4!=3)
replace jobBb = 1 if (jobB_3m_r2!=3 | jobB_7d_r2!=3 | jobB_3m_r3!=3 | jobB_7d_r3!=3 | jobB_3m_r4!=3 | jobB_7d_r4!=3)
replace jobCb = 1 if (jobC_3m_r2!=3 | jobC_7d_r2!=3 | jobC_3m_r3!=3 | jobC_7d_r3!=3 | jobC_3m_r4!=3 | jobC_7d_r4!=3)
replace jobDb = 1 if (jobD_3m_r2!=3 | jobD_7d_r2!=3 | jobD_3m_r3!=3 | jobD_7d_r3!=3 | jobD_3m_r4!=3 | jobD_7d_r4!=3)

egen numjobtot_3m =rowtotal(jobA jobB jobC jobD) if panel == 1
egen numjobtotb_3m =rowtotal(jobAb jobBb jobCb jobDb) if panel == 1

label variable numjobtot_3m "Total number of jobs across year"
label variable numjobtotb_3m "Total number of jobs across year"

*annual recall
gen numjobtot_12m = 0 if inRD4 == 1
replace numjobtot_12m = 1 if work12m__r4 == 1
replace numjobtot_12m = 2 if work12m_sec__r4 == 1


******Monthly hours******
*three month recall
foreach X in A B C D {
forvalues Y=1/4{
	    
	replace job`X'_days_r`Y' = . if inlist(job`X'_days_r`Y', 88, 99, 888, 999)
	replace job`X'_hours_r`Y' = . if inlist(job`X'_hours_r`Y', 88, 99, 888, 999)
		
	capture replace job`X'_hours_r`Y' = job`X'_hours_ver2_r`Y' if job`X'_hours_ver1_r`Y' == 2

	replace job`X'_hours_r`Y' = . if job`X'_hours_r`Y' > 24
	replace job`X'_hours_r`Y' = 12 if job`X'_hours_r`Y' >= 12 & !missing(job`X'_hours_r`Y')
	
	gen job`X'_hrsmnth_r`Y'=job`X'_days_r`Y'*job`X'_hours_r`Y'
}
}

*annual recall
	replace prim12m_days__r4 = . if inlist(prim12m_days__r4, 88, 99, 888, 999)
	replace sec12m_days__r4 = . if inlist(sec12m_days__r4, 88, 99, 888, 999)
	replace prim12m_hours__r4 = . if inlist(prim12m_hours__r4, 88, 99, 888, 999)
	replace sec12m_hours__r4 = . if inlist(sec12m_hours__r4, 88, 99, 888, 999)
	
	replace prim12m_hours__r4 = prim12m_hours_ver2__r4 if prim12m_hours_ver1__r4 == 2
	*replace sec12m_hours__r4 = sec12m_hours_ver2__r4 if sec12m_hours_ver1__r4 == 2

	replace prim12m_hours__r4 = . if prim12m_hours__r4 > 24
	replace prim12m_hours__r4 = 12 if prim12m_hours__r4 >= 12 & !missing(prim12m_hours__r4)
	replace sec12m_hours__r4 = . if sec12m_hours__r4 > 24
	replace sec12m_hours__r4 = 12 if sec12m_hours__r4 >= 12 & !missing(sec12m_hours__r4)

	
	gen prim12m_hrsmnth = prim12m_days__r4*prim12m_hours__r4
	gen sec12m_hrsmnth = sec12m_days__r4*sec12m_hours__r4
	
*generate "max" vars for quarterly data*	

foreach X in A B C D {
	egen job`X'_daysmax = rowmax(job`X'_days_r2 job`X'_days_r3 job`X'_days_r4)
	egen job`X'_hoursmax = rowmax(job`X'_hours_r2 job`X'_hours_r3 job`X'_hours_r4)
	gen job`X'_hrsmnth_max = job`X'_daysmax*job`X'_hoursmax
}

***Create monthly variables***
	
**which months worked
foreach X in A B C D {
    
	gen job`X'_month_apr20 = job`X'_month_apr20_r1
	gen hours`X'_month_apr20 = job`X'_hrsmnth_r1 if job`X'_month_apr20 == 1
	replace hours`X'_month_apr20  = 0 if job`X'_month_apr20 == 0
	
	gen job`X'_month_may20 = job`X'_month_may20_r1
	gen hours`X'_month_may20 = job`X'_hrsmnth_r1 if job`X'_month_may20 == 1
	replace hours`X'_month_may20  = 0 if job`X'_month_may20 == 0
	
	gen job`X'_month_jun20 = job`X'_month_jun20_r1
	gen hours`X'_month_jun20 = job`X'_hrsmnth_r1	 if job`X'_month_jun20 == 1
	replace hours`X'_month_jun20  = 0 if job`X'_month_jun20 == 0
	
	gen job`X'_month_jul20 = job`X'_month_jul20_r1
	gen hours`X'_month_jul20 = job`X'_hrsmnth_r1 if job`X'_month_jul20 == 1
	replace hours`X'_month_jul20  = 0 if job`X'_month_jul20 == 0
	
	gen job`X'_month_aug20 = job`X'_month_aug20_r2
	gen hours`X'_month_aug20 = job`X'_hrsmnth_r2  if job`X'_month_aug20 == 1
	replace hours`X'_month_aug20  = 0 if job`X'_month_aug20 == 0
	
	gen job`X'_month_sept20 = job`X'_month_sept20_r2
	gen hours`X'_month_sept20 = job`X'_hrsmnth_r2 if job`X'_month_sept20 == 1
	replace hours`X'_month_sept20  = 0 if job`X'_month_sept20 == 0
	
	gen job`X'_month_oct20 = job`X'_month_oct20_r2
	gen hours`X'_month_oct20 = job`X'_hrsmnth_r2 if job`X'_month_oct20 == 1
	replace hours`X'_month_oct20  = 0 if job`X'_month_oct20 == 0
	
	*November is covered in 2 rounds
	egen job`X'_month_nov20 = rowmax(job`X'_month_nov20_r2 job`X'_month_nov20_r3)
	egen hours`X'_month_nov20 = rowmean(job`X'_hrsmnth_r2 job`X'_hrsmnth_r3) if job`X'_month_nov20 == 1 /*check this that it is seeing zeros*/
	replace hours`X'_month_nov20 = 0 if job`X'_month_nov20 == 0
	
	gen job`X'_month_dec20 = job`X'_month_dec20_r3
	gen hours`X'_month_dec20 = job`X'_hrsmnth_r3 if job`X'_month_dec20 == 1
	replace hours`X'_month_dec20  = 0 if job`X'_month_dec20 == 0
	
	gen job`X'_month_jan21 = job`X'_month_jan21_r3
	gen hours`X'_month_jan21 = job`X'_hrsmnth_r3 if job`X'_month_jan21 == 1
	replace hours`X'_month_jan21  = 0 if job`X'_month_jan21 == 0
	
	gen job`X'_month_feb21 = job`X'_month_feb21_r3
	gen hours`X'_month_feb21 = job`X'_hrsmnth_r3 if job`X'_month_feb21 == 1
	replace hours`X'_month_feb21  = 0 if job`X'_month_feb21 == 0
	
	gen job`X'_month_mar21 = job`X'_month_mar21_r4
	gen hours`X'_month_mar21 = job`X'_hrsmnth_r4 if job`X'_month_mar21 == 1
	replace hours`X'_month_mar21  = 0 if job`X'_month_mar21 == 0
	
	gen job`X'_month_apr21 = job`X'_month_apr21_r4
	gen hours`X'_month_apr21 = job`X'_hrsmnth_r4 if job`X'_month_apr21 == 1
	replace hours`X'_month_apr21  = 0 if job`X'_month_apr21 == 0
	
	gen job`X'_month_may21 = job`X'_month_may21_r4
	gen hours`X'_month_may21 = job`X'_hrsmnth_r4 if job`X'_month_may21 == 1
	replace hours`X'_month_may21  = 0 if job`X'_month_may21 == 0
	
	gen job`X'_month_jun21 = job`X'_month_jun21_r4
	gen hours`X'_month_jun21 = job`X'_hrsmnth_r4 if job`X'_month_jun21 == 1
	replace hours`X'_month_jun21  = 0 if job`X'_month_jun21 == 0
}

*add up variables for the months with overlap
gen worked_nov20_r2_3m = 0 if panel == 1 
replace worked_nov20_r2_3m = 1 if (jobA_month_nov20_r2 == 1 | jobB_month_nov20_r2 == 1 | jobC_month_nov20_r2 == 1 | jobD_month_nov20_r2 == 1) & panel == 1

gen worked_nov20_r3_3m = 0 if panel == 1 
replace worked_nov20_r3_3m = 1 if (jobA_month_nov20_r3 == 1 | jobB_month_nov20_r3 == 1 | jobC_month_nov20_r3 == 1 | jobD_month_nov20_r3 == 1) & panel == 1

egen numjob_nov20_r2_3m = rowtotal(jobA_month_nov20_r2 jobB_month_nov20_r2 jobC_month_nov20_r2 jobD_month_nov20_r2) if panel == 1
replace numjob_nov20_r2_3m = 0 if worked_nov20_r2_3m == 0 & panel == 1
egen numjob_nov20_r3_3m = rowtotal(jobA_month_nov20_r3 jobB_month_nov20_r3 jobC_month_nov20_r3 jobD_month_nov20_r3) if panel == 1
replace numjob_nov20_r3_3m = 0 if worked_nov20_r3_3m == 0 & panel == 1

foreach X in A B C D {
	
	gen hours`X'_month_nov20_r2 = job`X'_hrsmnth_r2 if job`X'_month_nov20_r2 == 1
	replace hours`X'_month_nov20_r2  = 0 if job`X'_month_nov20_r2 == 0
	
	gen hours`X'_month_nov20_r3 = job`X'_hrsmnth_r3 if job`X'_month_nov20_r3 == 1
	replace hours`X'_month_nov20_r3  = 0 if job`X'_month_nov20_r3 == 0
	}

egen hours_nov20_r2_3m = rowtotal(hoursA_month_nov20_r2 hoursB_month_nov20_r2 hoursC_month_nov20_r2 hoursD_month_nov20_r2) if panel == 1
replace hours_nov20_r2_3m = 0 if worked_nov20_r2_3m == 0 & panel == 1
egen hours_nov20_r3_3m = rowtotal(hoursA_month_nov20_r3 hoursB_month_nov20_r3 hoursC_month_nov20_r3 hoursD_month_nov20_r3) if panel == 1
replace hours_nov20_r3_3m = 0 if worked_nov20_r3_3m == 0 & panel == 1



*Did you work this month?

*at some point might want to check the way i've filled in the zeros - and verify those are people reported not working
foreach M in apr20 may20 jun20 jul20 aug20 sept20 oct20 nov20 dec20 jan21 feb21 mar21 apr21 may21 jun21 {

	gen worked_`M'_3m = 0 if panel == 1
	replace worked_`M'_3m = 1 if (jobA_month_`M' == 1 | jobB_month_`M' == 1 | jobC_month_`M' == 1 | jobD_month_`M' == 1) & panel == 1
		
	label variable worked_`M'_3m "Worked in `M'"
	
	egen numjob_`M'_3m = rowtotal(jobA_month_`M' jobB_month_`M' jobC_month_`M' jobD_month_`M') if panel == 1
	replace numjob_`M'_3m = 0 if worked_`M'_3m == 0 & panel == 1
	
	label variable numjob_`M'_3m "Number of jobs in `M'"
	
	egen hours_`M'_3m = rowtotal(hoursA_month_`M' hoursB_month_`M' hoursC_month_`M' hoursD_month_`M') if panel == 1
	replace hours_`M'_3m = 0 if worked_`M'_3m == 0 & panel == 1
	
	label variable hours_`M'_3m "Hours worked in `M'"
	
}

*Create also by round variables for worked/numjob/hours
foreach var in worked numjob hours {
	
	gen `var'_apr20_r1_3m = `var'_apr20_3m
	gen `var'_may20_r1_3m = `var'_may20_3m
	gen `var'_jun20_r1_3m = `var'_jun20_3m
	gen `var'_jul20_r1_3m = `var'_jul20_3m
	
	gen `var'_aug20_r2_3m = `var'_aug20_3m
	gen `var'_sept20_r2_3m = `var'_sept20_3m
	gen `var'_oct20_r2_3m = `var'_oct20_3m
	*gen `var'_nov20_r2_3m = `var'_nov20_3m
	
	*gen `var'_nov20_r3_3m = `var'_nov20_3m
	gen `var'_dec20_r3_3m = `var'_dec20_3m
	gen `var'_jan21_r3_3m = `var'_jan21_3m
	gen `var'_feb21_r3_3m = `var'_feb21_3m

	gen `var'_mar21_r4_3m = `var'_mar21_3m
	gen `var'_apr21_r4_3m = `var'_apr21_3m
	gen `var'_may21_r4_3m = `var'_may21_3m
	gen `var'_jun21_r4_3m = `var'_jun21_3m
	
}

***Create long recall variables
foreach M in may20 jun20 jul20 aug20 sept20 oct20 nov20 dec20 jan21 feb21 mar21 apr21 may21 jun21 {
    
	gen worked_`M'_12m = 0 if inRD4 == 1
	replace worked_`M'_12m = 1 if (prim12m_month_`M'__r4 == 1 | sec12m_month_`M'__r4 == 1)  & inRD4 == 1
	
	label variable worked_`M'_12m "Worked in `M'"
	
	egen numjob_`M'_12m = rowtotal(prim12m_month_`M'__r4 sec12m_month_`M'__r4) if inRD4 == 1
	replace numjob_`M'_12m  = 0 if worked_`M'_12m == 0 & inRD4 == 1
	
	label variable numjob_`M'_12m "Number of jobs in `M'"
	
	gen hours_prim`M'_12m = prim12m_hrsmnth if prim12m_month_`M'__r4 == 1 & inRD4 == 1
	replace hours_prim`M'_12m = 0 if prim12m_month_`M'__r4 == 0 & inRD4 == 1
	gen hours_sec`M'_12m = sec12m_hrsmnth if sec12m_month_`M'__r4 == 1 & inRD4 == 1
	replace hours_sec`M'_12m = 0 if sec12m_month_`M'__r4 == 0 & inRD4 == 1
	egen hours_`M'_12m = rowtotal(hours_prim`M'_12m hours_sec`M'_12m) if inRD4 == 1
	replace hours_`M'_12m = 0 if worked_`M'_12m == 0 & inRD4 == 1
	label variable hours_`M'_12m "Hours worked in `M'"
	}
	
	
*Annual recall based on monthly figures**	
*Annual Months worked
*our annual recall goes june2020 - may2021 
	egen worked_nummnths_12m = ///
	rowtotal(worked_jun20_12m worked_jul20_12m worked_aug20_12m worked_sept20_12m worked_oct20_12m worked_nov20_12m worked_dec20_12m worked_jan21_12m worked_feb21_12m worked_mar21_12m worked_apr21_12m worked_may21_12m), missing
	
	egen hours_total_12m = ///
	rowtotal(hours_jun20_12m hours_jul20_12m hours_aug20_12m hours_sept20_12m hours_oct20_12m hours_nov20_12m hours_dec20_12m hours_jan21_12m hours_feb21_12m hours_mar21_12m hours_apr21_12m hours_may21_12m), missing
	
	
	egen worked_nummnths_3m = rowtotal(worked_jun20_3m worked_jul20_3m worked_aug20_3m worked_sept20_3m worked_oct20_3m worked_nov20_3m worked_dec20_3m worked_jan21_3m worked_feb21_3m worked_mar21_3m worked_apr21_3m worked_may21_3m), missing
	
	egen hours_total_3m = rowtotal(hours_jun20_3m hours_jul20_3m hours_aug20_3m hours_sept20_3m hours_oct20_3m hours_nov20_3m hours_dec20_3m hours_jan21_3m hours_feb21_3m hours_mar21_3m hours_apr21_3m hours_may21_3m), missing
	
	label variable worked_nummnths_12m "Annual months worked"
	label variable worked_nummnths_3m "Annual months worked"
	
	label variable hours_total_12m "Annual hours worked"
	label variable hours_total_3m "Annual hours worked"
	
foreach M in may20 jun20 jul20 aug20 sept20 oct20 nov20 dec20 jan21 feb21 mar21 apr21 may21 jun21 {
	foreach R in r1 r2 r3 r4 {
		foreach var in worked numjob hours {
			
			capture gen `var'_`M'_`R'_12m = .
			capture gen `var'_`M'_`R'_3m = .
			}
		}
	}
	
	
****Earnings****
foreach X in A B C D {
forvalues Y=1/4 {
	
	gen job`X'_numwork_r`Y' = job`X'_numhhmem_r`Y'
	replace job`X'_numwork_r`Y' = hhsize if job`X'_numhhmem_r`Y' > hhsize
	
	*farm revenue
	replace job`X'_rev_r`Y' = . if inlist(job`X'_rev_r`Y', 1, 2, 8, 9, 88, 99, 888, 999)
	replace job`X'_expeninputs_r`Y' = . if inlist(job`X'_expeninputs_r`Y', 1, 2, 8, 9, 88, 99, 888, 999)
	
	capture replace job`X'_rev_r`Y' = job`X'_rev_ver2_r`Y' if job`X'_rev_ver1_r`Y' == 2
	capture replace job`X'_expeninputs_r`Y' = job`X'_expeninputs_ver2_r`Y' if job`X'_expeninputs_ver1_r`Y' == 2
			
	gen job`X'_earn_hhf_r`Y'=.
	replace job`X'_earn_hhf_r`Y'= (job`X'_rev_r`Y'-job`X'_expeninputs_r`Y')/job`X'_numwork_r`Y'
	
	*business revenue
	replace job`X'_profit_r`Y' = . if inlist(job`X'_profit_r`Y', 1, 2, 8, 9, 88, 99, 888, 999)
	
	capture replace job`X'_profit_r`Y' = job`X'_profit_ver2_r`Y' if job`X'_profit_ver1_r`Y' == 2
	
	gen job`X'_earn_hhb_r`Y'=.
	replace job`X'_earn_hhb_r`Y'= job`X'_profit_r`Y'/job`X'_numhhmem_r`Y'
	
	*wage work
	replace job`X'_payunit_r`Y' = . if job`X'_payunit_r`Y' == 99
	replace job`X'_pay_r`Y' = . if job`X'_pay_r`Y' <= 10
	
	*monthly earnings for months or weeks reported
	gen dum`X'_month_r`Y' = job`X'_pay_r`Y'/job`X'_payunit_r`Y' if job`X'_payper_r`Y'== 1
	replace dum`X'_month_r`Y' = job`X'_pay_r`Y'/(job`X'_payunit_r`Y'/4.3) if job`X'_payper_r`Y'== 2
	
	*daily earnings for days reported
	gen dum`X'_day_r`Y' = job`X'_pay_r`Y'/job`X'_payunit_r`Y' if job`X'_payper_r`Y'== 3
}
}
	

foreach X in prim12m sec12m {

	gen `X'_numwork__r4 = `X'_numhhmem__r4
	replace `X'_numwork__r4 = hhsize if `X'_numhhmem__r4 > hhsize
	
	*farm revenue
	replace `X'_rev__r4 = . if inlist(`X'_rev__r4, 1, 2, 8, 9, 88, 99, 888, 999)
	replace `X'_expeninputs__r4 = . if inlist(`X'_expeninputs__r4, 1, 2, 8, 9, 88, 99, 888, 999)
	
	capture replace `X'_rev__r4 = `X'_rev_ver2__r4 if `X'_rev_ver1__r4 == 2
	capture replace `X'_expeninputs__r4 = `X'_expeninputs_ver2__r4 if `X'_expeninputs_ver1__r4 == 2
			
	gen `X'_earn_hhf__r4=.
	replace `X'_earn_hhf__r4= (`X'_rev__r4-`X'_expeninputs__r4)/`X'_numwork__r4
	
	*business revenue
	replace `X'_profit__r4 = . if inlist(`X'_profit__r4, 1, 2, 8, 9, 88, 99, 888, 999)
	
	capture replace `X'_profit__r4 = `X'_profit_ver2__r4 if `X'_profit_ver1__r4 == 2
	
	gen `X'_earn_hhb__r4=.
	replace `X'_earn_hhb__r4= `X'_profit__r4/`X'_numhhmem__r4
	
	*wage work
	replace `X'_payunit__r4 = . if `X'_payunit__r4 == 99
	replace `X'_pay__r4 = . if `X'_pay__r4 <= 10
	
	*monthly earnings for months or weeks reported
	gen dum`X'_month__r4 = `X'_pay__r4/`X'_payunit__r4 if `X'_payper__r4== 1
	replace dum`X'_month__r4 = `X'_pay__r4/(`X'_payunit__r4/4.3) if `X'_payper__r4== 2
	
	*daily earnings for days reported
	gen dum`X'_day__r4 = `X'_pay__r4/`X'_payunit__r4 if `X'_payper__r4== 3
	
}
	

	
*************************
***Quarterly estimates***
*************************
label define jobtype 1 "Farm or household ag business" 2 "Household non ag business" 3 "Wage work"
*gen job type variable
foreach X in A B C D {
	
	forvalues i = 1/4 {
	
		gen job`X'_type_r`i' = 1 if job`X'_cat_r`i' == 1
		replace job`X'_type_r`i' = 1 if job`X'_cat_r`i' == 2 & job`X'_foodag_r`i' == 1
		replace job`X'_type_r`i' = 2 if job`X'_cat_r`i' == 2 & job`X'_foodag_r`i' == 2
		replace job`X'_type_r`i' = 3 if job`X'_cat_r`i' == 3 |  job`X'_cat_r`i' == 4
		
		label values job`X'_type_r`i' jobtype
	}	
}


foreach X in prim3m sec3m {
	
		forvalues i = 1/4 {
	
		gen `X'_type__r`i' = 1 if `X'_cat__r`i' == 1
		replace `X'_type__r`i' = 1 if `X'_cat__r`i' == 2 & `X'_foodag__r`i' == 1
		replace `X'_type__r`i' = 2 if `X'_cat__r`i' == 2 & `X'_foodag__r`i' == 2
		replace `X'_type__r`i' = 3 if `X'_cat__r`i' == 3 | `X'_cat__r`i' == 4
		
		label values `X'_type__r`i' jobtype
	}
}


foreach X in prim12m sec12m {
	
		gen `X'_type__r4 = 1 if `X'_cat__r4 == 1
		replace `X'_type__r4 = 1 if `X'_cat__r4 == 2 & `X'_foodag__r4 == 1
		replace `X'_type__r4 = 2 if `X'_cat__r4 == 2 & `X'_foodag__r4 == 2
		replace `X'_type__r4 = 3 if `X'_cat__r4 == 3 | `X'_cat__r4 == 4
		
		label values `X'_type__r4 jobtype
	}
	
*Round 1 quarterly estimate
	foreach X in A B C D {

		gen job`X'_q1 = 0 if !missing(job`X'_month_apr20_r1) |	!missing(job`X'_month_may20_r1) | !missing(job`X'_month_jun20_r1) | !missing(job`X'_month_jul20_r1)
		replace job`X'_q1 = 1 if job`X'_month_apr20_r1 == 1 | job`X'_month_may20_r1 == 1 | job`X'_month_jun20_r1 == 1 | job`X'_month_jul20_r1 == 1

		gen job`X'_hhf_q1 = 0 if job`X'_q1 == 0
		replace job`X'_hhf_q1 = 1 if job`X'_type_r1 == 1 & job`X'_q1 == 1
		replace job`X'_hhf_q1 = 0 if job`X'_type_r1 == 2 & job`X'_q1 == 1
		replace job`X'_hhf_q1 = 0 if job`X'_type_r1 == 3 & job`X'_q1 == 1

		gen job`X'_hhb_q1 = 0 if job`X'_q1 == 0
		replace job`X'_hhb_q1 = 0 if job`X'_type_r1 == 1 & job`X'_q1 == 1
		replace job`X'_hhb_q1 = 1 if job`X'_type_r1 == 2 & job`X'_q1 == 1
		replace job`X'_hhb_q1 = 0 if job`X'_type_r1 == 3 & job`X'_q1 == 1

		gen job`X'_wage_q1 = 0 if job`X'_q1 == 0
		replace job`X'_wage_q1 = 0 if job`X'_type_r1 == 1 & job`X'_q1 == 1
		replace job`X'_wage_q1 = 0 if job`X'_type_r1 == 2 & job`X'_q1 == 1
		replace job`X'_wage_q1 = 1 if job`X'_type_r1 == 3 & job`X'_q1 == 1


		gen job`X'_permonth_apr20_r1 = percent_apr20_r1*job`X'_month_apr20_r1
		gen job`X'_permonth_may20_r1 = 1*job`X'_month_may20_r1 /*this is some extrapolation for the people interviewed in august*/
		gen job`X'_permonth_jun20_r1 = 1*job`X'_month_jun20_r1
		gen job`X'_permonth_jul20_r1 = percent_jul20_r1*job`X'_month_jul20_r1
		
		egen worked_nummnths`X'_q1 = rowtotal(job`X'_permonth_apr20_r1 job`X'_permonth_may20_r1 job`X'_permonth_jun20_r1 job`X'_permonth_jul20_r1), missing
		*replace worked_nummnths`X'_q1 = worked_nummnths`X'_q1*100
		
		gen hours`X'_q1 = job`X'_hrsmnth_r1*worked_nummnths`X'_q1 
		gen days`X'_q1 = job`X'_days_r1*worked_nummnths`X'_q1 
		
		gen hours`X'_max_q1 = job`X'_hrsmnth_max*worked_nummnths`X'_q1
		gen days`X'_max_q1 = job`X'_daysmax*worked_nummnths`X'_q1
		
		gen job`X'_earn_hhf_q1 = job`X'_earn_hhf_r1
		gen job`X'_earn_hhb_q1 = job`X'_earn_hhb_r1
		gen job`X'_earn_wage_q1 = dum`X'_month_r1*worked_nummnths`X'_q1 
		replace job`X'_earn_wage_q1 = dum`X'_day_r1*days`X'_q1
		
		egen job`X'_earn_all_q1 = rowtotal(job`X'_earn_hhf_q1 job`X'_earn_hhb_q1 job`X'_earn_wage_q1), missing
	
	}
		
	gen worked_q1_3m = 0 if panel == 1
	replace worked_q1_3m = 1 if jobA_q1 == 1 | jobB_q1 == 1 | jobC_q1 == 1 | jobD_q1 == 1

	gen type_hhf_q1_3m = 0 if panel == 1
	replace type_hhf_q1_3m = 1 if jobA_hhf_q1 == 1 | jobB_hhf_q1 == 1 | jobC_hhf_q1 == 1 | jobD_hhf_q1 == 1
	gen type_hhb_q1_3m = 0 if panel == 1
	replace type_hhb_q1_3m = 1 if jobA_hhb_q1 == 1 | jobB_hhb_q1 == 1 | jobC_hhb_q1 == 1 | jobD_hhb_q1 == 1
	gen type_wage_q1_3m = 0 if panel == 1
	replace type_wage_q1_3m = 1 if jobA_wage_q1 == 1 | jobB_wage_q1 == 1 | jobC_wage_q1 == 1 | jobD_wage_q1 == 1
	
		egen dum_apr20 = rowmax(jobA_permonth_apr20_r1 jobB_permonth_apr20_r1 jobC_permonth_apr20_r1 jobD_permonth_apr20_r1)
		egen dum_may20 = rowmax(jobA_permonth_may20_r1 jobB_permonth_may20_r1 jobC_permonth_may20_r1 jobD_permonth_may20_r1)
		egen dum_jun20 = rowmax(jobA_permonth_jun20_r1 jobB_permonth_jun20_r1 jobC_permonth_jun20_r1 jobD_permonth_jun20_r1)
		egen dum_jul20 = rowmax(jobA_permonth_jul20_r1 jobB_permonth_jul20_r1 jobC_permonth_jul20_r1 jobD_permonth_jul20_r1)

	egen worked_nummnths_q1_3m = rowtotal(dum_apr20 dum_may20 dum_jun20 dum_jul20), missing
	replace worked_nummnths_q1_3m = 0 if worked_q1_3m == 0 
	*replace worked_nummnths_q1_3m = worked_nummnths_q1_3m/100

	egen numjob_q1_3m = rowtotal(jobA_q1 jobB_q1 jobC_q1 jobD_q1), missing
	replace numjob_q1_3m = 0 if worked_q1_3m == 0 
	egen hours_q1_3m = rowtotal(hoursA_q1 hoursB_q1 hoursC_q1 hoursD_q1), missing
	replace hours_q1_3m = 0 if worked_q1_3m == 0
	
	egen hours_max_q1_3m = rowtotal(hoursA_max_q1 hoursB_max_q1 hoursC_max_q1 hoursD_max_q1), missing
	replace hours_max_q1_3m = 0 if worked_q1_3m == 0

	egen earnings_q1_3m = rowtotal(jobA_earn_all_q1 jobB_earn_all_q1 jobC_earn_all_q1 jobD_earn_all_q1), missing
	replace earnings_q1_3m = 0 if worked_q1_3m == 0

foreach X in prim12m sec12m {
	
	gen `X'_q1 = 0 if inRD4 == 1
	replace `X'_q1 = 1 if `X'_month_may20__r4 == 1 | `X'_month_jun20__r4 == 1 | `X'_month_jul20__r4 == 1
	
		gen `X'_hhf_q1 = 0 if `X'_q1 == 0
		replace `X'_hhf_q1 = 1 if `X'_type__r4 == 1 & `X'_q1 == 1
		replace `X'_hhf_q1 = 0 if `X'_type__r4 == 2 & `X'_q1 == 1
		replace `X'_hhf_q1 = 0 if `X'_type__r4 == 3 & `X'_q1 == 1

		gen `X'_hhb_q1 = 0 if `X'_q1 == 0
		replace `X'_hhb_q1 = 0 if `X'_type__r4 == 1 & `X'_q1 == 1
		replace `X'_hhb_q1 = 1 if `X'_type__r4 == 2 & `X'_q1 == 1
		replace `X'_hhb_q1 = 0 if `X'_type__r4 == 3 & `X'_q1 == 1

		gen `X'_wage_q1 = 0 if `X'_q1 == 0
		replace `X'_wage_q1 = 0 if `X'_type__r4 == 1 & `X'_q1 == 1
		replace `X'_wage_q1 = 0 if `X'_type__r4 == 2 & `X'_q1 == 1
		replace `X'_wage_q1 = 1 if `X'_type__r4 == 3 & `X'_q1 == 1

	
	gen `X'_permonth_may20__r4 = 1*`X'_month_may20__r4 /*we have no april in the 12 month but that's very few observations from the 3 month surveys*/
	gen `X'_permonth_jun20__r4 = 1*`X'_month_jun20__r4
	gen `X'_permonth_jul20__r4 = percent_jul20_r1*`X'_month_jul20__r4
	
	egen worked_nummnths`X'_q1 = rowtotal(`X'_permonth_may20__r4 `X'_permonth_jun20__r4 `X'_permonth_jul20__r4), missing
	*replace worked_nummnths`X'_q1 = worked_nummnths`X'_q1*100
	
	gen hours`X'_q1 = `X'_hrsmnth*worked_nummnths`X'_q1
	gen days`X'_q1 = `X'_days__r4*worked_nummnths`X'_q1 
		
}

	gen worked_q1_12m = 0 if inRD4 == 1
	replace worked_q1_12m = 1 if prim12m_q1 == 1 | sec12m_q1 == 1

	gen type_hhf_q1_12m = 0 if inRD4 == 1
	replace type_hhf_q1_12m = 1 if prim12m_hhf_q1 == 1 | sec12m_hhf_q1 == 1
	gen type_hhb_q1_12m = 0 if inRD4 == 1
	replace type_hhb_q1_12m = 1 if prim12m_hhb_q1 == 1 | sec12m_hhb_q1 == 1
	gen type_wage_q1_12m = 0 if inRD4 == 1
	replace type_wage_q1_12m = 1 if prim12m_wage_q1 == 1 | sec12m_wage_q1 == 1	
	
		egen dum12m_may20 = rowmax(prim12m_permonth_may20__r4 sec12m_permonth_may20__r4)
		egen dum12m_jun20 = rowmax(prim12m_permonth_jun20__r4 sec12m_permonth_jun20__r4)
		egen dum12m_jul20 = rowmax(prim12m_permonth_jul20__r4 sec12m_permonth_jul20__r4)
		
	egen worked_nummnths_q1_12m = rowtotal(dum12m_may20 dum12m_jun20 dum12m_jul20), missing
	replace worked_nummnths_q1_12m = 0 if worked_q1_12m == 0
	*replace worked_nummnths_q1_12m = worked_nummnths_q1_12m/100
	
	egen numjob_q1_12m = rowtotal(prim12m_q1 sec12m_q1), missing
	replace numjob_q1_12m = 0 if worked_q1_12m == 0
	egen hours_q1_12m = rowtotal(hoursprim12m_q1 hourssec12m_q1), missing
	replace hours_q1_12m = 0 if worked_q1_12m == 0


	
*Round 2 quarterly estimate
	foreach X in A B C D {

		gen job`X'_q2 = 0 if !missing(job`X'_month_aug20_r2) |	!missing(job`X'_month_sept20_r2) | !missing(job`X'_month_oct20_r2) | !missing(job`X'_month_nov20_r2)
		replace job`X'_q2 = 1 if job`X'_month_aug20_r2 == 1 | job`X'_month_sept20_r2 == 1 | job`X'_month_oct20_r2 == 1 | job`X'_month_nov20_r2 == 1
		gen job`X'_hhf_q2 = 0 if job`X'_q2 == 0
		replace job`X'_hhf_q2 = 1 if job`X'_type_r2 == 1 & job`X'_q2 == 1
		replace job`X'_hhf_q2 = 0 if job`X'_type_r2 == 2 & job`X'_q2 == 1
		replace job`X'_hhf_q2 = 0 if job`X'_type_r2 == 3 & job`X'_q2 == 1

		gen job`X'_hhb_q2 = 0 if job`X'_q2 == 0
		replace job`X'_hhb_q2 = 0 if job`X'_type_r2 == 1 & job`X'_q2 == 1
		replace job`X'_hhb_q2 = 1 if job`X'_type_r2 == 2 & job`X'_q2 == 1
		replace job`X'_hhb_q2 = 0 if job`X'_type_r2 == 3 & job`X'_q2 == 1

		gen job`X'_wage_q2 = 0 if job`X'_q2 == 0
		replace job`X'_wage_q2 = 0 if job`X'_type_r2 == 1 & job`X'_q2 == 1
		replace job`X'_wage_q2 = 0 if job`X'_type_r2 == 2 & job`X'_q2 == 1
		replace job`X'_wage_q2 = 1 if job`X'_type_r2 == 3 & job`X'_q2 == 1
		
		gen job`X'_permonth_aug20_r2 = percent_aug20_r2*job`X'_month_aug20_r2
		gen job`X'_permonth_sept20_r2 = 1*job`X'_month_sept20_r2 /*this is some extrapolation for the very few people interviewed in december*/
		gen job`X'_permonth_oct20_r2 = 1*job`X'_month_oct20_r2
		gen job`X'_permonth_nov20_r2 = percent_nov20_r2*job`X'_month_nov20_r2
		
		egen worked_nummnths`X'_q2 = rowtotal(job`X'_permonth_aug20_r2 job`X'_permonth_sept20_r2 job`X'_permonth_oct20_r2 job`X'_permonth_nov20_r2), missing
		*replace worked_nummnths`X'_q2 = worked_nummnths`X'_q2*100
		
		gen hours`X'_q2 = job`X'_hrsmnth_r2*worked_nummnths`X'_q2
		gen days`X'_q2 = job`X'_days_r2*worked_nummnths`X'_q2
		
		gen hours`X'_max_q2 = job`X'_hrsmnth_max*worked_nummnths`X'_q2
		gen days`X'_max_q2 = job`X'_daysmax*worked_nummnths`X'_q2
		
		gen job`X'_earn_hhf_q2 = job`X'_earn_hhf_r2
		gen job`X'_earn_hhb_q2 = job`X'_earn_hhb_r2
		gen job`X'_earn_wage_q2 = dum`X'_month_r2*worked_nummnths`X'_q2
		replace job`X'_earn_wage_q2 = dum`X'_day_r2*days`X'_q2
		
		egen job`X'_earn_all_q2 = rowtotal(job`X'_earn_hhf_q2 job`X'_earn_hhb_q2 job`X'_earn_wage_q2), missing
		
	}
		
	gen worked_q2_3m = 0 if panel == 1
	replace worked_q2_3m = 1 if jobA_q2 == 1 | jobB_q2 == 1 | jobC_q2 == 1 | jobD_q2 == 1

	gen type_hhf_q2_3m = 0 if panel == 1
	replace type_hhf_q2_3m = 1 if jobA_hhf_q2 == 1 | jobB_hhf_q2 == 1 | jobC_hhf_q2 == 1 | jobD_hhf_q2 == 1
	gen type_hhb_q2_3m = 0 if panel == 1
	replace type_hhb_q2_3m = 1 if jobA_hhb_q2 == 1 | jobB_hhb_q2 == 1 | jobC_hhb_q2 == 1 | jobD_hhb_q2 == 1
	gen type_wage_q2_3m = 0 if panel == 1
	replace type_wage_q2_3m = 1 if jobA_wage_q2 == 1 | jobB_wage_q2 == 1 | jobC_wage_q2 == 1 | jobD_wage_q2 == 1	
	
		egen dum_aug20 = rowmax(jobA_permonth_aug20_r2 jobB_permonth_aug20_r2 jobC_permonth_aug20_r2 jobD_permonth_aug20_r2)
		egen dum_sept20 = rowmax(jobA_permonth_sept20_r2 jobB_permonth_sept20_r2 jobC_permonth_sept20_r2 jobD_permonth_sept20_r2)
		egen dum_oct20 = rowmax(jobA_permonth_oct20_r2 jobB_permonth_oct20_r2 jobC_permonth_oct20_r2 jobD_permonth_oct20_r2)
		egen dum_nov20 = rowmax(jobA_permonth_nov20_r2 jobB_permonth_nov20_r2 jobC_permonth_nov20_r2 jobD_permonth_nov20_r2)

	egen worked_nummnths_q2_3m = rowtotal(dum_aug20 dum_sept20 dum_oct20 dum_nov20), missing
	*replace worked_nummnths_q2_3m = worked_nummnths_q2_3m/100
	replace worked_nummnths_q2_3m = 0 if worked_q2_3m == 0 
	*replace worked_nummnths_q2_3m = worked_nummnths_q2_3m/100

	egen numjob_q2_3m = rowtotal(jobA_q2 jobB_q2 jobC_q2 jobD_q2), missing
	replace numjob_q2_3m = 0 if worked_q2_3m == 0 
	egen hours_q2_3m = rowtotal(hoursA_q2 hoursB_q2 hoursC_q2 hoursD_q2), missing
	replace hours_q2_3m = 0 if worked_q2_3m == 0	
	
	egen hours_max_q2_3m = rowtotal(hoursA_max_q2 hoursB_max_q2 hoursC_max_q2 hoursD_max_q2), missing
	replace hours_max_q2_3m = 0 if worked_q2_3m == 0
	
	egen earnings_q2_3m = rowtotal(jobA_earn_all_q2 jobB_earn_all_q2 jobC_earn_all_q2 jobD_earn_all_q2), missing
	replace earnings_q2_3m = 0 if worked_q2_3m == 0
	
foreach X in prim12m sec12m {
	
	gen `X'_q2 = 0 if inRD4 == 1
	replace `X'_q2 = 1 if `X'_month_aug20__r4 == 1 | `X'_month_sept20__r4 == 1 | `X'_month_oct20__r4 == 1 | `X'_month_nov20__r4 == 1
	
		gen `X'_hhf_q2 = 0 if `X'_q2 == 0
		replace `X'_hhf_q2 = 1 if `X'_type__r4 == 1 & `X'_q2 == 1
		replace `X'_hhf_q2 = 0 if `X'_type__r4 == 2 & `X'_q2 == 1
		replace `X'_hhf_q2 = 0 if `X'_type__r4 == 3 & `X'_q2 == 1

		gen `X'_hhb_q2 = 0 if `X'_q2 == 0
		replace `X'_hhb_q2 = 0 if `X'_type__r4 == 1 & `X'_q2 == 1
		replace `X'_hhb_q2 = 1 if `X'_type__r4 == 2 & `X'_q2 == 1
		replace `X'_hhb_q2 = 0 if `X'_type__r4 == 3 & `X'_q2 == 1

		gen `X'_wage_q2 = 0 if `X'_q2 == 0
		replace `X'_wage_q2 = 0 if `X'_type__r4 == 1 & `X'_q2 == 1
		replace `X'_wage_q2 = 0 if `X'_type__r4 == 2 & `X'_q2 == 1
		replace `X'_wage_q2 = 1 if `X'_type__r4 == 3 & `X'_q2 == 1
	
	gen `X'_permonth_aug20__r4 = percent_aug20_r2*`X'_month_aug20__r4
	gen `X'_permonth_sept20__r4 = 1*`X'_month_sept20__r4 /*we have no april in the 12 month but that's very few observations from the 3 month surveys*/
	gen `X'_permonth_oct20__r4 = 1*`X'_month_oct20__r4
	gen `X'_permonth_nov20__r4 = percent_nov20_r2*`X'_month_nov20__r4
	
	egen worked_nummnths`X'_q2 = rowtotal(`X'_permonth_aug20__r4 `X'_permonth_sept20__r4 `X'_permonth_oct20__r4 `X'_permonth_nov20__r4), missing
	*replace worked_nummnths`X'_q2 = worked_nummnths`X'_q2*100
	
	gen hours`X'_q2 = `X'_hrsmnth*worked_nummnths`X'_q2
	gen days`X'_q2 = `X'_days__r4*worked_nummnths`X'_q2 
}

	gen worked_q2_12m = 0 if inRD4 == 1
	replace worked_q2_12m = 1 if prim12m_q2 == 1 | sec12m_q2 == 1
	
	gen type_hhf_q2_12m = 0 if inRD4 == 1
	replace type_hhf_q2_12m = 1 if prim12m_hhf_q2 == 1 | sec12m_hhf_q2 == 1
	gen type_hhb_q2_12m = 0 if inRD4 == 1
	replace type_hhb_q2_12m = 1 if prim12m_hhb_q2 == 1 | sec12m_hhb_q2 == 1
	gen type_wage_q2_12m = 0 if inRD4 == 1
	replace type_wage_q2_12m = 1 if prim12m_wage_q2 == 1 | sec12m_wage_q2 == 1	
	
		egen dum12m_aug20 = rowmax(prim12m_permonth_aug20__r4 sec12m_permonth_aug20__r4)
		egen dum12m_sept20 = rowmax(prim12m_permonth_sept20__r4 sec12m_permonth_sept20__r4)
		egen dum12m_oct20 = rowmax(prim12m_permonth_oct20__r4 sec12m_permonth_oct20__r4)
		egen dum12m_nov20 = rowmax(prim12m_permonth_nov20__r4 sec12m_permonth_nov20__r4)
		
	egen worked_nummnths_q2_12m = rowtotal(dum12m_aug20 dum12m_sept20 dum12m_oct20 dum12m_nov20), missing
	*replace worked_nummnths_q2_12m = worked_nummnths_q2_12m/100
	replace worked_nummnths_q2_12m = 0 if worked_q2_12m == 0 
	*replace worked_nummnths_q2_12m = worked_nummnths_q2_12m/100

	egen numjob_q2_12m = rowtotal(prim12m_q2 sec12m_q2), missing
	replace numjob_q2_12m = 0 if worked_q2_12m == 0
	egen hours_q2_12m = rowtotal(hoursprim12m_q2 hourssec12m_q2), missing
	replace hours_q2_12m = 0 if worked_q2_12m == 0
	
*Round 3 quarterly estimate
	foreach X in A B C D {

		gen job`X'_q3 = 0 if !missing(job`X'_month_nov20_r3) |	!missing(job`X'_month_dec20_r3) | !missing(job`X'_month_jan21_r3) | !missing(job`X'_month_feb21_r3)
		replace job`X'_q3 = 1 if job`X'_month_nov20_r3 == 1 | job`X'_month_dec20_r3 == 1 | job`X'_month_jan21_r3 == 1 | job`X'_month_feb21_r3 == 1

		gen job`X'_hhf_q3 = 0 if job`X'_q3 == 0
		replace job`X'_hhf_q3 = 1 if job`X'_type_r3 == 1 & job`X'_q3 == 1
		replace job`X'_hhf_q3 = 0 if job`X'_type_r3 == 2 & job`X'_q3 == 1
		replace job`X'_hhf_q3 = 0 if job`X'_type_r3 == 3 & job`X'_q3 == 1

		gen job`X'_hhb_q3 = 0 if job`X'_q3 == 0
		replace job`X'_hhb_q3 = 0 if job`X'_type_r3 == 1 & job`X'_q3 == 1
		replace job`X'_hhb_q3 = 1 if job`X'_type_r3 == 2 & job`X'_q3 == 1
		replace job`X'_hhb_q3 = 0 if job`X'_type_r3 == 3 & job`X'_q3 == 1

		gen job`X'_wage_q3 = 0 if job`X'_q3 == 0
		replace job`X'_wage_q3 = 0 if job`X'_type_r3 == 1 & job`X'_q3 == 1
		replace job`X'_wage_q3 = 0 if job`X'_type_r3 == 2 & job`X'_q3 == 1
		replace job`X'_wage_q3 = 1 if job`X'_type_r3 == 3 & job`X'_q3 == 1
		
		gen job`X'_permonth_nov20_r3 = percent_nov20_r3*job`X'_month_nov20_r3
		gen job`X'_permonth_dec20_r3 = 1*job`X'_month_dec20_r3 /*this is some extrapolation for the very few people interviewed in march*/
		gen job`X'_permonth_jan21_r3 = 1*job`X'_month_jan21_r3
		gen job`X'_permonth_feb21_r3 = percent_feb21_r3*job`X'_month_feb21_r3
		
		egen worked_nummnths`X'_q3 = rowtotal(job`X'_permonth_nov20_r3 job`X'_permonth_dec20_r3 job`X'_permonth_jan21_r3 job`X'_permonth_feb21_r3), missing
		*replace worked_nummnths`X'_q3 = worked_nummnths`X'_q3*100
		
		gen hours`X'_q3 = job`X'_hrsmnth_r3*worked_nummnths`X'_q3
		gen days`X'_q3 = job`X'_days_r3*worked_nummnths`X'_q3
		
		gen hours`X'_max_q3 = job`X'_hrsmnth_max*worked_nummnths`X'_q3
		gen days`X'_max_q3 = job`X'_daysmax*worked_nummnths`X'_q3
		
		gen job`X'_earn_hhf_q3 = job`X'_earn_hhf_r3
		gen job`X'_earn_hhb_q3 = job`X'_earn_hhb_r3
		gen job`X'_earn_wage_q3 = dum`X'_month_r3*worked_nummnths`X'_q3
		replace job`X'_earn_wage_q3 = dum`X'_day_r3*days`X'_q3
		
		egen job`X'_earn_all_q3 = rowtotal(job`X'_earn_hhf_q3 job`X'_earn_hhb_q3 job`X'_earn_wage_q3), missing
		
	}
		
	gen worked_q3_3m = 0 if panel == 1
	replace worked_q3_3m = 1 if jobA_q3 == 1 | jobB_q3 == 1 | jobC_q3 == 1 | jobD_q3 == 1

	gen type_hhf_q3_3m = 0 if panel == 1
	replace type_hhf_q3_3m = 1 if jobA_hhf_q3 == 1 | jobB_hhf_q3 == 1 | jobC_hhf_q3 == 1 | jobD_hhf_q3 == 1
	gen type_hhb_q3_3m = 0 if panel == 1
	replace type_hhb_q3_3m = 1 if jobA_hhb_q3 == 1 | jobB_hhb_q3 == 1 | jobC_hhb_q3 == 1 | jobD_hhb_q3 == 1
	gen type_wage_q3_3m = 0 if panel == 1
	replace type_wage_q3_3m = 1 if jobA_wage_q3 == 1 | jobB_wage_q3 == 1 | jobC_wage_q3 == 1 | jobD_wage_q3 == 1
	
		egen dum_nov20_r3 = rowmax(jobA_permonth_nov20_r3 jobB_permonth_nov20_r3 jobC_permonth_nov20_r3 jobD_permonth_nov20_r3)
		egen dum_dec20 = rowmax(jobA_permonth_dec20_r3 jobB_permonth_dec20_r3 jobC_permonth_dec20_r3 jobD_permonth_dec20_r3)
		egen dum_jan21 = rowmax(jobA_permonth_jan21_r3 jobB_permonth_jan21_r3 jobC_permonth_jan21_r3 jobD_permonth_jan21_r3)
		egen dum_feb21 = rowmax(jobA_permonth_feb21_r3 jobB_permonth_feb21_r3 jobC_permonth_feb21_r3 jobD_permonth_feb21_r3)

	egen worked_nummnths_q3_3m = rowtotal(dum_nov20_r3 dum_dec20 dum_jan21 dum_feb21), missing
	*replace worked_nummnths_q3_3m = worked_nummnths_q3_3m/100
	replace worked_nummnths_q3_3m = 0 if worked_q3_3m == 0 
	*replace worked_nummnths_q3_3m = worked_nummnths_q3_3m/100

	egen numjob_q3_3m = rowtotal(jobA_q3 jobB_q3 jobC_q3 jobD_q3), missing
	replace numjob_q3_3m = 0 if worked_q3_3m == 0 
	egen hours_q3_3m = rowtotal(hoursA_q3 hoursB_q3 hoursC_q3 hoursD_q3), missing
	replace hours_q3_3m = 0 if worked_q3_3m == 0
	
	egen hours_max_q3_3m = rowtotal(hoursA_max_q3 hoursB_max_q3 hoursC_max_q3 hoursD_max_q3), missing
	replace hours_max_q3_3m = 0 if worked_q3_3m == 0
	
	egen earnings_q3_3m = rowtotal(jobA_earn_all_q3 jobB_earn_all_q3 jobC_earn_all_q3 jobD_earn_all_q3), missing
	replace earnings_q3_3m = 0 if worked_q3_3m == 0
	
foreach X in prim12m sec12m {
	
	gen `X'_q3 = 0 if inRD4 == 1
	replace `X'_q3 = 1 if `X'_month_nov20__r4 == 1 | `X'_month_dec20__r4 == 1 | `X'_month_jan21__r4 == 1 | `X'_month_feb21__r4 == 1
	
		gen `X'_hhf_q3 = 0 if `X'_q3 == 0
		replace `X'_hhf_q3 = 1 if `X'_type__r4 == 1 & `X'_q3 == 1
		replace `X'_hhf_q3 = 0 if `X'_type__r4 == 2 & `X'_q3 == 1
		replace `X'_hhf_q3 = 0 if `X'_type__r4 == 3 & `X'_q3 == 1

		gen `X'_hhb_q3 = 0 if `X'_q3 == 0
		replace `X'_hhb_q3 = 0 if `X'_type__r4 == 1 & `X'_q3 == 1
		replace `X'_hhb_q3 = 1 if `X'_type__r4 == 2 & `X'_q3 == 1
		replace `X'_hhb_q3 = 0 if `X'_type__r4 == 3 & `X'_q3 == 1

		gen `X'_wage_q3 = 0 if `X'_q3 == 0
		replace `X'_wage_q3 = 0 if `X'_type__r4 == 1 & `X'_q3 == 1
		replace `X'_wage_q3 = 0 if `X'_type__r4 == 2 & `X'_q3 == 1
		replace `X'_wage_q3 = 1 if `X'_type__r4 == 3 & `X'_q3 == 1
	
	gen `X'_permonth_nov20__r4b = percent_nov20_r3*`X'_month_nov20__r4
	gen `X'_permonth_dec20__r4 = 1*`X'_month_dec20__r4
	gen `X'_permonth_jan21__r4 = 1*`X'_month_jan21__r4
	gen `X'_permonth_feb21__r4 = percent_feb21_r3*`X'_month_feb21__r4
	
	egen worked_nummnths`X'_q3 = rowtotal(`X'_permonth_nov20__r4b `X'_permonth_dec20__r4 `X'_permonth_jan21__r4 `X'_permonth_feb21__r4), missing
	*replace worked_nummnths`X'_q3 = worked_nummnths`X'_q3*100
	
	gen hours`X'_q3 = `X'_hrsmnth*worked_nummnths`X'_q3
	gen days`X'_q3 = `X'_days__r4*worked_nummnths`X'_q3 
}

	gen worked_q3_12m = 0 if inRD4 == 1
	replace worked_q3_12m = 1 if prim12m_q3 == 1 | sec12m_q3 == 1
	
	gen type_hhf_q3_12m = 0 if inRD4 == 1
	replace type_hhf_q3_12m = 1 if prim12m_hhf_q3 == 1 | sec12m_hhf_q3 == 1
	gen type_hhb_q3_12m = 0 if inRD4 == 1
	replace type_hhb_q3_12m = 1 if prim12m_hhb_q3 == 1 | sec12m_hhb_q3 == 1
	gen type_wage_q3_12m = 0 if inRD4 == 1
	replace type_wage_q3_12m = 1 if prim12m_wage_q3 == 1 | sec12m_wage_q3 == 1	
	
		egen dum12m_nov20_r3 = rowmax(prim12m_permonth_nov20__r4b sec12m_permonth_nov20__r4)
		egen dum12m_dec20 = rowmax(prim12m_permonth_dec20__r4 sec12m_permonth_dec20__r4)
		egen dum12m_jan21 = rowmax(prim12m_permonth_jan21__r4 sec12m_permonth_jan21__r4)
		egen dum12m_feb21 = rowmax(prim12m_permonth_feb21__r4 sec12m_permonth_feb21__r4)
		
	egen worked_nummnths_q3_12m = rowtotal(dum12m_nov20_r3 dum12m_dec20 dum12m_jan21 dum12m_feb21), missing
	*replace worked_nummnths_q3_12m = worked_nummnths_q3_12m/100
	replace worked_nummnths_q3_12m = 0 if worked_q3_12m == 0 
	*replace worked_nummnths_q3_12m = worked_nummnths_q3_12m/100

	egen numjob_q3_12m = rowtotal(prim12m_q3 sec12m_q3), missing
	replace numjob_q3_12m = 0 if worked_q3_12m == 0
	egen hours_q3_12m = rowtotal(hoursprim12m_q3 hourssec12m_q3), missing
	replace hours_q3_12m = 0 if worked_q3_12m == 0

		
*Round 4 quarterly estimate
	foreach X in A B C D {

		gen job`X'_q4 = 0 if !missing(job`X'_month_mar21_r4) |	!missing(job`X'_month_apr21_r4) | !missing(job`X'_month_may21_r4) | !missing(job`X'_month_jun21_r4)
		replace job`X'_q4 = 1 if job`X'_month_mar21_r4 == 1 | job`X'_month_apr21_r4 == 1 | job`X'_month_may21_r4 == 1 | job`X'_month_jun21_r4 == 1

		gen job`X'_hhf_q4 = 0 if job`X'_q4 == 0
		replace job`X'_hhf_q4 = 1 if job`X'_type_r4 == 1 & job`X'_q4 == 1
		replace job`X'_hhf_q4 = 0 if job`X'_type_r4 == 2 & job`X'_q4 == 1
		replace job`X'_hhf_q4 = 0 if job`X'_type_r4 == 3 & job`X'_q4 == 1

		gen job`X'_hhb_q4 = 0 if job`X'_q4 == 0
		replace job`X'_hhb_q4 = 0 if job`X'_type_r4 == 1 & job`X'_q4 == 1
		replace job`X'_hhb_q4 = 1 if job`X'_type_r4 == 2 & job`X'_q4 == 1
		replace job`X'_hhb_q4 = 0 if job`X'_type_r4 == 3 & job`X'_q4 == 1

		gen job`X'_wage_q4 = 0 if job`X'_q4 == 0
		replace job`X'_wage_q4 = 0 if job`X'_type_r4 == 1 & job`X'_q4 == 1
		replace job`X'_wage_q4 = 0 if job`X'_type_r4 == 2 & job`X'_q4 == 1
		replace job`X'_wage_q4 = 1 if job`X'_type_r4 == 3 & job`X'_q4 == 1
		
		gen job`X'_permonth_mar21_r4 = percent_mar21_r4*job`X'_month_mar21_r4
		gen job`X'_permonth_apr21_r4 = 1*job`X'_month_apr21_r4 /*this is some extrapolation for the very few people interviewed in march*/
		gen job`X'_permonth_may21_r4 = 1*job`X'_month_may21_r4
		gen job`X'_permonth_jun21_r4 = percent_jun21_r4*job`X'_month_jun21_r4
		
		egen worked_nummnths`X'_q4 = rowtotal(job`X'_permonth_mar21_r4 job`X'_permonth_apr21_r4 job`X'_permonth_may21_r4 job`X'_permonth_jun21_r4), missing
		*replace worked_nummnths`X'_q4 = worked_nummnths`X'_q4*100
		
		gen hours`X'_q4 = job`X'_hrsmnth_r4*worked_nummnths`X'_q4 
		gen days`X'_q4 = job`X'_days_r4*worked_nummnths`X'_q4
		
		gen hours`X'_max_q4 = job`X'_hrsmnth_max*worked_nummnths`X'_q4
		gen days`X'_max_q4 = job`X'_daysmax*worked_nummnths`X'_q4
		
		gen job`X'_earn_hhf_q4 = job`X'_earn_hhf_r4
		gen job`X'_earn_hhb_q4 = job`X'_earn_hhb_r4
		gen job`X'_earn_wage_q4 = dum`X'_month_r4*worked_nummnths`X'_q4
		replace job`X'_earn_wage_q4 = dum`X'_day_r4*days`X'_q4
		
		egen job`X'_earn_all_q4 = rowtotal(job`X'_earn_hhf_q4 job`X'_earn_hhb_q4 job`X'_earn_wage_q4), missing
		
	}
		
	gen worked_q4_3m = 0 if panel == 1
	replace worked_q4_3m = 1 if jobA_q4 == 1 | jobB_q4 == 1 | jobC_q4 == 1 | jobD_q4 == 1

	gen type_hhf_q4_3m = 0 if panel == 1
	replace type_hhf_q4_3m = 1 if jobA_hhf_q4 == 1 | jobB_hhf_q4 == 1 | jobC_hhf_q4 == 1 | jobD_hhf_q4 == 1
	gen type_hhb_q4_3m = 0 if panel == 1
	replace type_hhb_q4_3m = 1 if jobA_hhb_q4 == 1 | jobB_hhb_q4 == 1 | jobC_hhb_q4 == 1 | jobD_hhb_q4 == 1
	gen type_wage_q4_3m = 0 if panel == 1
	replace type_wage_q4_3m = 1 if jobA_wage_q4 == 1 | jobB_wage_q4 == 1 | jobC_wage_q4 == 1 | jobD_wage_q4 == 1
	
		egen dum_mar21 = rowmax(jobA_permonth_mar21_r4 jobB_permonth_mar21_r4 jobC_permonth_mar21_r4 jobD_permonth_mar21_r4)
		egen dum_apr21 = rowmax(jobA_permonth_apr21_r4 jobB_permonth_apr21_r4 jobC_permonth_apr21_r4 jobD_permonth_apr21_r4)
		egen dum_may21 = rowmax(jobA_permonth_may21_r4 jobB_permonth_may21_r4 jobC_permonth_may21_r4 jobD_permonth_may21_r4)
		egen dum_jun21 = rowmax(jobA_permonth_jun21_r4 jobB_permonth_jun21_r4 jobC_permonth_jun21_r4 jobD_permonth_jun21_r4)

	egen worked_nummnths_q4_3m = rowtotal(dum_mar21 dum_apr21 dum_may21 dum_jun21), missing
	*replace worked_nummnths_q4_3m = worked_nummnths_q4_3m/100
	replace worked_nummnths_q4_3m = 0 if worked_q4_3m == 0 
	*replace worked_nummnths_q4_3m = worked_nummnths_q4_3m/100

	egen numjob_q4_3m = rowtotal(jobA_q4 jobB_q4 jobC_q4 jobD_q4), missing
	replace numjob_q4_3m = 0 if worked_q4_3m == 0 
	egen hours_q4_3m = rowtotal(hoursA_q4 hoursB_q4 hoursC_q4 hoursD_q4), missing
	replace hours_q4_3m = 0 if worked_q4_3m == 0
	
	egen hours_max_q4_3m = rowtotal(hoursA_max_q4 hoursB_max_q4 hoursC_max_q4 hoursD_max_q4), missing
	replace hours_max_q4_3m = 0 if worked_q4_3m == 0
	
	egen earnings_q4_3m = rowtotal(jobA_earn_all_q4 jobB_earn_all_q4 jobC_earn_all_q4 jobD_earn_all_q4), missing
	replace earnings_q4_3m = 0 if worked_q4_3m == 0
	
foreach X in prim12m sec12m {
	
	gen `X'_q4 = 0 if inRD4 == 1
	replace `X'_q4 = 1 if `X'_month_mar21__r4 == 1 | `X'_month_apr21__r4 == 1 | `X'_month_may21__r4 == 1 | `X'_month_jun21__r4 == 1
	
		gen `X'_hhf_q4 = 0 if `X'_q4 == 0
		replace `X'_hhf_q4 = 1 if `X'_type__r4 == 1 & `X'_q4 == 1
		replace `X'_hhf_q4 = 0 if `X'_type__r4 == 2 & `X'_q4 == 1
		replace `X'_hhf_q4 = 0 if `X'_type__r4 == 3 & `X'_q4 == 1

		gen `X'_hhb_q4 = 0 if `X'_q4 == 0
		replace `X'_hhb_q4 = 0 if `X'_type__r4 == 1 & `X'_q4 == 1
		replace `X'_hhb_q4 = 1 if `X'_type__r4 == 2 & `X'_q4 == 1
		replace `X'_hhb_q4 = 0 if `X'_type__r4 == 3 & `X'_q4 == 1

		gen `X'_wage_q4 = 0 if `X'_q4 == 0
		replace `X'_wage_q4 = 0 if `X'_type__r4 == 1 & `X'_q4 == 1
		replace `X'_wage_q4 = 0 if `X'_type__r4 == 2 & `X'_q4 == 1
		replace `X'_wage_q4 = 1 if `X'_type__r4 == 3 & `X'_q4 == 1
	
	gen `X'_permonth_mar21__r4 = percent_mar21_r4*`X'_month_mar21__r4
	gen `X'_permonth_apr21__r4 = 1*`X'_month_apr21__r4 /*we have no april in the 12 month but that's very few observations from the 3 month surveys*/
	gen `X'_permonth_may21__r4 = 1*`X'_month_may21__r4
	gen `X'_permonth_jun21__r4 = percent_jun21_r4*`X'_month_jun21__r4
	
	egen worked_nummnths`X'_q4 = rowtotal(`X'_permonth_mar21__r4 `X'_permonth_apr21__r4 `X'_permonth_may21__r4 `X'_permonth_jun21__r4), missing
	*replace worked_nummnths`X'_q4 = worked_nummnths`X'_q4*100
	
	gen hours`X'_q4 = `X'_hrsmnth*worked_nummnths`X'_q4
	gen days`X'_q4 = `X'_days__r4*worked_nummnths`X'_q4
}

	gen worked_q4_12m = 0 if inRD4 == 1
	replace worked_q4_12m = 1 if prim12m_q4 == 1 | sec12m_q4 == 1
	
	gen type_hhf_q4_12m = 0 if inRD4 == 1
	replace type_hhf_q4_12m = 1 if prim12m_hhf_q4 == 1 | sec12m_hhf_q4 == 1
	gen type_hhb_q4_12m = 0 if inRD4 == 1
	replace type_hhb_q4_12m = 1 if prim12m_hhb_q4 == 1 | sec12m_hhb_q4 == 1
	gen type_wage_q4_12m = 0 if inRD4 == 1
	replace type_wage_q4_12m = 1 if prim12m_wage_q4 == 1 | sec12m_wage_q4 == 1	
	
		egen dum12m_mar21 = rowmax(prim12m_permonth_mar21__r4 sec12m_permonth_mar21__r4)
		egen dum12m_apr21 = rowmax(prim12m_permonth_apr21__r4 sec12m_permonth_apr21__r4)
		egen dum12m_may21 = rowmax(prim12m_permonth_may21__r4 sec12m_permonth_may21__r4)
		egen dum12m_jun21 = rowmax(prim12m_permonth_jun21__r4 sec12m_permonth_jun21__r4)
		
	egen worked_nummnths_q4_12m = rowtotal(dum12m_mar21 dum12m_apr21 dum12m_may21 dum12m_jun21), missing
	*replace worked_nummnths_q4_12m = worked_nummnths_q4_12m/100
	replace worked_nummnths_q4_12m = 0 if worked_q4_12m == 0 
	*replace worked_nummnths_q4_12m = worked_nummnths_q4_12m/100

	egen numjob_q4_12m = rowtotal(prim12m_q4 sec12m_q4), missing
	replace numjob_q4_12m = 0 if worked_q4_12m == 0
	egen hours_q4_12m = rowtotal(hoursprim12m_q4 hourssec12m_q4), missing
	replace hours_q4_12m = 0 if worked_q4_12m == 0

	
***Gen number of jobs for quarters 2, 3, 4 from annual recall
gen dumprim = 0 if inRD4 == 1
replace dumprim = 1 if prim12m_q2 == 1 | prim12m_q3 == 1 | prim12m_q4 == 1
gen dumsec = 0 if inRD4 == 1
replace dumsec = 1 if sec12m_q2 == 1 | sec12m_q3 == 1 | sec12m_q4 == 1
egen numjobtotb_12m = rowtotal(dumprim dumsec), missing	

***Annual aggregates from quarterly numbers
gen worked_q_3m = 0 if panel == 1
replace worked_q_3m = 1 if worked_q1_3m == 1 | worked_q2_3m == 1 | worked_q3_3m == 1 | worked_q4_3m == 1

gen type_hhf_q_3m = 0 if panel == 1
replace type_hhf_q_3m = 1 if type_hhf_q1_3m == 1 | type_hhf_q2_3m == 1 | type_hhf_q3_3m == 1 | type_hhf_q4_3m == 1
gen type_hhb_q_3m = 0 if panel == 1
replace type_hhb_q_3m = 1 if type_hhb_q1_3m == 1 | type_hhb_q2_3m == 1 | type_hhb_q3_3m == 1 | type_hhb_q4_3m == 1
gen type_wage_q_3m = 0 if panel == 1
replace type_wage_q_3m = 1 if type_wage_q1_3m == 1 | type_wage_q2_3m == 1 | type_wage_q3_3m == 1 | type_wage_q4_3m == 1

gen worked_q_12m = 0 if inRD4 == 1
replace worked_q_12m = 1 if worked_q1_12m == 1 | worked_q2_12m == 1 | worked_q3_12m == 1 | worked_q4_12m == 1

gen type_hhf_q_12m = 0 if inRD4 == 1
replace type_hhf_q_12m = 1 if type_hhf_q1_12m == 1 | type_hhf_q2_12m == 1 | type_hhf_q3_12m == 1 | type_hhf_q4_12m == 1
gen type_hhb_q_12m = 0 if inRD4 == 1
replace type_hhb_q_12m = 1 if type_hhb_q1_12m == 1 | type_hhb_q2_12m == 1 | type_hhb_q3_12m == 1 | type_hhb_q4_12m == 1
gen type_wage_q_12m = 0 if inRD4 == 1
replace type_wage_q_12m = 1 if type_wage_q1_12m == 1 | type_wage_q2_12m == 1 | type_wage_q3_12m == 1 | type_wage_q4_12m == 1

egen worked_nummnths_q_3m = rowtotal(worked_nummnths_q1_3m worked_nummnths_q2_3m worked_nummnths_q3_3m worked_nummnths_q4_3m), missing
egen worked_nummnths_q_12m = rowtotal(worked_nummnths_q1_12m worked_nummnths_q2_12m worked_nummnths_q3_12m worked_nummnths_q4_12m), missing

egen hours_q_3m = rowtotal(hours_q1_3m hours_q2_3m hours_q3_3m hours_q4_3m), missing
egen hours_q_12m = rowtotal(hours_q1_12m hours_q2_12m hours_q3_12m hours_q4_12m), missing

***9 month aggregates
gen worked_qb_3m = 0 if panel == 1
replace worked_qb_3m = 1 if worked_q2_3m == 1 | worked_q3_3m == 1 | worked_q4_3m == 1

gen type_hhf_qb_3m = 0 if panel == 1
replace type_hhf_qb_3m = 1 if type_hhf_q2_3m == 1 | type_hhf_q3_3m == 1 | type_hhf_q4_3m == 1
gen type_hhb_qb_3m = 0 if panel == 1
replace type_hhb_qb_3m = 1 if type_hhb_q2_3m == 1 | type_hhb_q3_3m == 1 | type_hhb_q4_3m == 1
gen type_wage_qb_3m = 0 if panel == 1
replace type_wage_qb_3m = 1 if type_wage_q2_3m == 1 | type_wage_q3_3m == 1 | type_wage_q4_3m == 1

gen worked_qb_12m = 0 if inRD4 == 1
replace worked_qb_12m = 1 if worked_q2_12m == 1 | worked_q3_12m == 1 | worked_q4_12m == 1

gen type_hhf_qb_12m = 0 if inRD4 == 1
replace type_hhf_qb_12m = 1 if type_hhf_q2_12m == 1 | type_hhf_q3_12m == 1 | type_hhf_q4_12m == 1
gen type_hhb_qb_12m = 0 if inRD4 == 1
replace type_hhb_qb_12m = 1 if type_hhb_q2_12m == 1 | type_hhb_q3_12m == 1 | type_hhb_q4_12m == 1
gen type_wage_qb_12m = 0 if inRD4 == 1
replace type_wage_qb_12m = 1 if type_wage_q2_12m == 1 | type_wage_q3_12m == 1 | type_wage_q4_12m == 1

egen worked_nummnths_qb_3m = rowtotal(worked_nummnths_q2_3m worked_nummnths_q3_3m worked_nummnths_q4_3m), missing
egen worked_nummnths_qb_12m = rowtotal(worked_nummnths_q2_12m worked_nummnths_q3_12m worked_nummnths_q4_12m), missing

egen hours_qb_3m = rowtotal(hours_q2_3m hours_q3_3m hours_q4_3m), missing
egen hours_max_qb_3m = rowtotal(hours_max_q2_3m hours_max_q3_3m hours_max_q4_3m), missing
egen hours_qb_12m = rowtotal(hours_q2_12m hours_q3_12m hours_q4_12m), missing
egen hours_max_qb_12m = rowtotal(hours_q2_12m hours_q3_12m hours_q4_12m), missing


***quarterly earnings measures from 12 month recall
*first qet the fraction of months worked in the job that were worked in each quarter (haven't previously calculated these variables)
foreach X in prim12m sec12m {
	gen worked_frac_q1_`X' = worked_nummnths`X'_q1/(worked_nummnths`X'_q1 + worked_nummnths`X'_q2 + worked_nummnths`X'_q3 + worked_nummnths`X'_q4)
	gen worked_frac_q2_`X' = worked_nummnths`X'_q2/(worked_nummnths`X'_q1 + worked_nummnths`X'_q2 + worked_nummnths`X'_q3 + worked_nummnths`X'_q4)
	gen worked_frac_q3_`X' = worked_nummnths`X'_q3/(worked_nummnths`X'_q1 + worked_nummnths`X'_q2 + worked_nummnths`X'_q3 + worked_nummnths`X'_q4)
	gen worked_frac_q4_`X' = worked_nummnths`X'_q4/(worked_nummnths`X'_q1 + worked_nummnths`X'_q2 + worked_nummnths`X'_q3 + worked_nummnths`X'_q4)
}

forvalues i = 1/4 {
	foreach X in prim12m sec12m {
				
		gen `X'_earn_hhf_q`i' = `X'_earn_hhf__r4*worked_frac_q`i'_`X'
		gen `X'_earn_hhb_q`i' = `X'_earn_hhb__r4*worked_frac_q`i'_`X'
		gen `X'_earn_wage_q`i' = dum`X'_month__r4*worked_nummnths`X'_q`i' 
		replace `X'_earn_wage_q`i' = dum`X'_day__r4*days`X'_q`i'
			
		egen `X'_earn_all_q`i' = rowtotal(`X'_earn_hhf_q`i' `X'_earn_hhb_q`i' `X'_earn_wage_q`i'), missing
	}
	
	egen earnings_q`i'_12m = rowtotal(prim12m_earn_all_q`i' sec12m_earn_all_q`i'), missing
	replace earnings_q`i'_12m = 0 if worked_q`i'_12m == 0
	}

egen earnings_q_12m = rowtotal(earnings_q1_12m earnings_q2_12m earnings_q3_12m earnings_q4_12m)
egen earnings_q_3m = rowtotal(earnings_q1_3m earnings_q2_3m earnings_q3_3m earnings_q4_3m)
	
	
	
reshape long ///
	worked_may20_r1_ worked_jun20_r1_ worked_jul20_r1_ worked_aug20_r1_ worked_sept20_r1_ worked_oct20_r1_ worked_nov20_r1_ worked_dec20_r1_ worked_jan21_r1_ worked_feb21_r1_ worked_mar21_r1_ worked_apr21_r1_ worked_may21_r1_ worked_jun21_r1_ ///
	numjob_may20_r1_ numjob_jun20_r1_ numjob_jul20_r1_ numjob_aug20_r1_ numjob_sept20_r1_ numjob_oct20_r1_ numjob_nov20_r1_ numjob_dec20_r1_ numjob_jan21_r1_ numjob_feb21_r1_ numjob_mar21_r1_ numjob_apr21_r1_ numjob_may21_r1_ numjob_jun21_r1_ ///
	hours_may20_r1_ hours_jun20_r1_ hours_jul20_r1_ hours_aug20_r1_ hours_sept20_r1_ hours_oct20_r1_ hours_nov20_r1_ hours_dec20_r1_ hours_jan21_r1_ hours_feb21_r1_ hours_mar21_r1_ hours_apr21_r1_ hours_may21_r1_ hours_jun21_r1_ ///
	worked_may20_r2_ worked_jun20_r2_ worked_jul20_r2_ worked_aug20_r2_ worked_sept20_r2_ worked_oct20_r2_ worked_nov20_r2_ worked_dec20_r2_ worked_jan21_r2_ worked_feb21_r2_ worked_mar21_r2_ worked_apr21_r2_ worked_may21_r2_ worked_jun21_r2_ ///
	numjob_may20_r2_ numjob_jun20_r2_ numjob_jul20_r2_ numjob_aug20_r2_ numjob_sept20_r2_ numjob_oct20_r2_ numjob_nov20_r2_ numjob_dec20_r2_ numjob_jan21_r2_ numjob_feb21_r2_ numjob_mar21_r2_ numjob_apr21_r2_ numjob_may21_r2_ numjob_jun21_r2_ ///
	hours_may20_r2_ hours_jun20_r2_ hours_jul20_r2_ hours_aug20_r2_ hours_sept20_r2_ hours_oct20_r2_ hours_nov20_r2_ hours_dec20_r2_ hours_jan21_r2_ hours_feb21_r2_ hours_mar21_r2_ hours_apr21_r2_ hours_may21_r2_ hours_jun21_r2_ ///
	worked_may20_r3_ worked_jun20_r3_ worked_jul20_r3_ worked_aug20_r3_ worked_sept20_r3_ worked_oct20_r3_ worked_nov20_r3_ worked_dec20_r3_ worked_jan21_r3_ worked_feb21_r3_ worked_mar21_r3_ worked_apr21_r3_ worked_may21_r3_ worked_jun21_r3_ ///
	numjob_may20_r3_ numjob_jun20_r3_ numjob_jul20_r3_ numjob_aug20_r3_ numjob_sept20_r3_ numjob_oct20_r3_ numjob_nov20_r3_ numjob_dec20_r3_ numjob_jan21_r3_ numjob_feb21_r3_ numjob_mar21_r3_ numjob_apr21_r3_ numjob_may21_r3_ numjob_jun21_r3_ ///
	hours_may20_r3_ hours_jun20_r3_ hours_jul20_r3_ hours_aug20_r3_ hours_sept20_r3_ hours_oct20_r3_ hours_nov20_r3_ hours_dec20_r3_ hours_jan21_r3_ hours_feb21_r3_ hours_mar21_r3_ hours_apr21_r3_ hours_may21_r3_ hours_jun21_r3_ ///
	worked_may20_r4_ worked_jun20_r4_ worked_jul20_r4_ worked_aug20_r4_ worked_sept20_r4_ worked_oct20_r4_ worked_nov20_r4_ worked_dec20_r4_ worked_jan21_r4_ worked_feb21_r4_ worked_mar21_r4_ worked_apr21_r4_ worked_may21_r4_ worked_jun21_r4_ ///
	numjob_may20_r4_ numjob_jun20_r4_ numjob_jul20_r4_ numjob_aug20_r4_ numjob_sept20_r4_ numjob_oct20_r4_ numjob_nov20_r4_ numjob_dec20_r4_ numjob_jan21_r4_ numjob_feb21_r4_ numjob_mar21_r4_ numjob_apr21_r4_ numjob_may21_r4_ numjob_jun21_r4_ ///
	hours_may20_r4_ hours_jun20_r4_ hours_jul20_r4_ hours_aug20_r4_ hours_sept20_r4_ hours_oct20_r4_ hours_nov20_r4_ hours_dec20_r4_ hours_jan21_r4_ hours_feb21_r4_ hours_mar21_r4_ hours_apr21_r4_ hours_may21_r4_ hours_jun21_r4_ ///	
	worked_may20_ worked_jun20_ worked_jul20_ worked_aug20_ worked_sept20_ worked_oct20_ worked_nov20_ worked_dec20_ worked_jan21_ worked_feb21_ worked_mar21_ worked_apr21_ worked_may21_ worked_jun21_ ///
	numjob_may20_ numjob_jun20_ numjob_jul20_ numjob_aug20_ numjob_sept20_ numjob_oct20_ numjob_nov20_ numjob_dec20_ numjob_jan21_ numjob_feb21_ numjob_mar21_ numjob_apr21_ numjob_may21_ numjob_jun21_ ///
	hours_may20_ hours_jun20_ hours_jul20_ hours_aug20_ hours_sept20_ hours_oct20_ hours_nov20_ hours_dec20_ hours_jan21_ hours_feb21_ hours_mar21_ hours_apr21_ hours_may21_ hours_jun21_ ///
	worked_nummnths_ numjobtot_ hours_total_  ///
	worked_q1_ worked_q2_ worked_q3_ worked_q4_ ///
	worked_nummnths_q1_ worked_nummnths_q2_ worked_nummnths_q3_ worked_nummnths_q4_ /// 
	hours_q1_ hours_q2_ hours_q3_ hours_q4_ ///
	numjob_q1_ numjob_q2_ numjob_q3_ numjob_q4_  ///
	earnings_q1_ earnings_q2_ earnings_q3_ earnings_q4_ ///
	type_hhb_q1_ type_hhb_q2_ type_hhb_q3_ type_hhb_q4_ ///
	type_hhf_q1_ type_hhf_q2_ type_hhf_q3_ type_hhf_q4_ ///
	type_wage_q1_ type_wage_q2_ type_wage_q3_ type_wage_q4_ ///	
	worked_q_ worked_nummnths_q_ hours_q_ earnings_q_ type_hhb_q_ type_hhf_q_ type_wage_q_ ///
	worked_qb_ worked_nummnths_qb_ hours_qb_ hours_max_qb_ type_hhb_qb_ type_hhf_qb_ type_wage_qb_ numjobtotb_ ///
	, i(hhid mem) j(recall) string

	keep if recall == "3m" | recall == "12m"
	
drop age_?? gender_??
	
* save "$data\long_analysis2.dta", replace
		
save "$data\long_final.dta", replace
	
	
	



